

/* Tabela CAIXA: TABELA DE CAIXA*/
/* Descrio: A trigger insere registros na tabela LOGOPERAVND a partir de alteraes na tabela CAIXA */
/* Objetivo: Gerar um log que vai registrar as alteraes na CAIXA,
             utilizando a tabela de Logs de Operaes do VND*/

IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_VND_CAIXA' AND
                 TYPE   = 'TR' 	               AND
	              U.UID  = O.UID           AND
	              U.NAME = USER)
DROP TRIGGER LOG_VND_CAIXA
GO

CREATE TRIGGER LOG_VND_CAIXA
ON CAIXA
FOR INSERT, UPDATE, DELETE
AS
  DECLARE @V_DSREMOTEADDR VARCHAR(15);
  DECLARE @V_DSREMOTEHOST VARCHAR(15);
  DECLARE @V_DSSERVERRDM  VARCHAR(20);
  DECLARE @V_DSSERVMETHOD VARCHAR(30);
  DECLARE @V_DSREMOTEOPER VARCHAR(12);
  DECLARE @V_DESC         VARCHAR(500);
  DECLARE @V_ITPESQ       VARCHAR(40);
  DECLARE @V_NMOPERADOR   VARCHAR(40);
  DECLARE @V_IDTIPOOPER   VARCHAR(1);

/*VARIVEIS DO CURSOR C_CURSOR*/

  DECLARE @V_ID_COMANDO    VARCHAR(1);

  DECLARE @V_NEW_CDFILIAL	  VARCHAR(4);
  DECLARE @V_NEW_CDCAIXA	  VARCHAR(3);
  DECLARE @V_NEW_NMCAIXA	  VARCHAR(30);
  DECLARE @V_NEW_CDLOJA	          VARCHAR(10);
  DECLARE @V_NEW_CDALMOXARIFE	  VARCHAR(6);
  DECLARE @V_NEW_CDLOCALESTOQ	  VARCHAR(6);
  DECLARE @V_NEW_DSDIRFOTOPR	  VARCHAR(200);
  DECLARE @V_NEW_IDCONFVENDA	  VARCHAR(1);
  DECLARE @V_NEW_IDGERANOTA	  VARCHAR(1);
  DECLARE @V_NEW_IDPORTABAL	  VARCHAR(10);
  DECLARE @V_NEW_IDPORTAIMP	  VARCHAR(1);
  DECLARE @V_NEW_IDTIPOIMP	  VARCHAR(1);
  DECLARE @V_NEW_IDTPTELAVE	  VARCHAR(1);
  DECLARE @V_NEW_IDVEPORTABAL	  VARCHAR(10);
  DECLARE @V_NEW_TPEXTFOTOPR	  VARCHAR(5);
  DECLARE @V_NEW_VRABERCAIX	  DECIMAL(17);
  DECLARE @V_NEW_VRDIFCAIX	  DECIMAL(17);
  DECLARE @V_NEW_IDENTRSAIDOP	  VARCHAR(1);
  DECLARE @V_NEW_CDTIPOOPER	  VARCHAR(2);
  DECLARE @V_NEW_IDCAMPOPESQ	  VARCHAR(1);
  DECLARE @V_NEW_IDINFOCONS	  VARCHAR(1);
  DECLARE @V_NEW_IDCOLETOR	  VARCHAR(1);
  DECLARE @V_NEW_CDCAIXACONT	  VARCHAR(3);
  DECLARE @V_NEW_DSDIRIMPARQ	  VARCHAR(200);
  DECLARE @V_NEW_DSDIRBACARQ	  VARCHAR(200);
  DECLARE @V_NEW_DSDIREXPARQ	  VARCHAR(200);
  DECLARE @V_NEW_IDUTILTEF	  VARCHAR(1);
  DECLARE @V_NEW_IDUTILCHEQ	  VARCHAR(1);
  DECLARE @V_NEW_IDTIPINFCONS	  VARCHAR(1);
  DECLARE @V_NEW_IDPERTROCAOP	  VARCHAR(1);
  DECLARE @V_NEW_IDCAIXAFISCA	  VARCHAR(1);
  DECLARE @V_NEW_IDVERIFCOTA	  VARCHAR(1);
  DECLARE @V_NEW_IDIMPVENDCON	  VARCHAR(1);
  DECLARE @V_NEW_VRLIMSANGRIA	  DECIMAL(17);
  DECLARE @V_NEW_IDEMIRECSANG	  VARCHAR(1);
  DECLARE @V_NEW_IDEMIRELPROD	  VARCHAR(1);
  DECLARE @V_NEW_IDTIPOCAIXA	  VARCHAR(1);
  DECLARE @V_NEW_CDFILICONFTE	  VARCHAR(4);
  DECLARE @V_NEW_NRCONFTELA	  VARCHAR(5);
  DECLARE @V_NEW_CDGRUPPROD	  VARCHAR(10);
  DECLARE @V_NEW_CDPORTABAL	  VARCHAR(5);
  DECLARE @V_NEW_IDTIPOBAL	  VARCHAR(5);
  DECLARE @V_NEW_NRVELOCBAL	  VARCHAR(10);
  DECLARE @V_NEW_CDPORTAIMPFI	  VARCHAR(5);
  DECLARE @V_NEW_IDTIPOIMPFI	  VARCHAR(5);
  DECLARE @V_NEW_CDPORTACAT	  VARCHAR(5);
  DECLARE @V_NEW_IDTIPOCAT	  VARCHAR(5);
  DECLARE @V_NEW_NRCOLETCAT	  VARCHAR(5);
  DECLARE @V_NEW_CDPORTAPROX	  VARCHAR(5);
  DECLARE @V_NEW_IDTIPOPROX	  VARCHAR(5);
  DECLARE @V_NEW_NRVELOCPROX	  VARCHAR(10);
  DECLARE @V_NEW_IDTIPOTECLAD	  VARCHAR(5);
  DECLARE @V_NEW_IDTIPOGAVETA	  VARCHAR(5);
  DECLARE @V_NEW_CDPORTADISP	  VARCHAR(5);
  DECLARE @V_NEW_IDTIPODISP	  VARCHAR(5);
  DECLARE @V_NEW_CDPORTAOPT	  VARCHAR(5);
  DECLARE @V_NEW_IDTIPOOPT	  VARCHAR(5);
  DECLARE @V_NEW_NRVELOCOPT	  VARCHAR(10);
  DECLARE @V_NEW_IDTIPOIMPCHQ	  VARCHAR(5);
  DECLARE @V_NEW_CDPORTACHQ	  VARCHAR(5);
  DECLARE @V_NEW_NRVELOVCHQ	  VARCHAR(10);
  DECLARE @V_NEW_NMMUNICIPCHQ	  VARCHAR(50);
  DECLARE @V_NEW_NMNOMINALCHQ	  VARCHAR(70);
  DECLARE @V_NEW_NMMOEDACORRS	  VARCHAR(30);
  DECLARE @V_NEW_NMMOEDACORRP	  VARCHAR(30);
  DECLARE @V_NEW_IDGERADEBUG	  VARCHAR(1);
  DECLARE @V_NEW_IDHRVERAO	  VARCHAR(1);
  DECLARE @V_NEW_IDSINCIMPFIS	  VARCHAR(1);
  DECLARE @V_NEW_DSMSGINITOT	  VARCHAR(200);
  DECLARE @V_NEW_DSMSGADITOT	  VARCHAR(200);
  DECLARE @V_NEW_NRDIAINITOT	  VARCHAR(2);
  DECLARE @V_NEW_NRDIAFINTOT	  VARCHAR(2);
  DECLARE @V_NEW_NRSEGFECTOT	  VARCHAR(5);
  DECLARE @V_NEW_IDEXIMSGSAL	  VARCHAR(1);
  DECLARE @V_NEW_IDTIPEXTTOT	  VARCHAR(1);
  DECLARE @V_NEW_IDSELLOJTOT	  VARCHAR(1);
  DECLARE @V_NEW_IDINFCLIECAI	  VARCHAR(1);
  DECLARE @V_NEW_IDUTILEITCON	  VARCHAR(1);
  DECLARE @V_NEW_IDEXIMENDESC	  VARCHAR(1);
  DECLARE @V_NEW_DTULTATUCAIX     datetime;
  DECLARE @V_NEW_IDDIGCODPLM	  VARCHAR(1);
  DECLARE @V_NEW_IDTPIMPPARC	  VARCHAR(1);
  DECLARE @V_NEW_DSENDIPSITEF	  VARCHAR(20);
  DECLARE @V_NEW_DSMSGCONTOT	  VARCHAR(200);
  DECLARE @V_NEW_IDIMPREDZ	  VARCHAR(1);
  DECLARE @V_NEW_CDTECLADO	  VARCHAR(20);
  DECLARE @V_NEW_IDAUTOIMPTAB	  VARCHAR(1);
  DECLARE @V_NEW_IDAUTOIMPVEN	  VARCHAR(1);
  DECLARE @V_NEW_CDLOJATEF	  VARCHAR(8);
  DECLARE @V_NEW_CDTERTEF	  VARCHAR(8);
  DECLARE @V_NEW_IDCONSCHEQUE	  VARCHAR(1);
  DECLARE @V_NEW_IDTRIBRELPRO	  VARCHAR(1);
  DECLARE @V_NEW_CDIMPRESSORA	  VARCHAR(3);
  DECLARE @V_NEW_DSDIRCAIXEXP	  VARCHAR(200);
  DECLARE @V_NEW_DSCAIXATAB	  VARCHAR(250);
  DECLARE @V_NEW_DSCAIXAVEN	  VARCHAR(250);
  DECLARE @V_NEW_IDBLOQIDCART	  VARCHAR(1);
  DECLARE @V_NEW_DSOBSCUPFIS	  VARCHAR(250);
  DECLARE @V_NEW_IDINFVENBAL	  VARCHAR(1);
  DECLARE @V_NEW_IDHABCAIXAVENDA  VARCHAR(3);
  DECLARE @V_NEW_IDIMPBARRCUP	  VARCHAR(1);
  DECLARE @V_NEW_NMPADBARRCUP	  VARCHAR(20);
  DECLARE @V_NEW_IDPERMCANCVND	  VARCHAR(1);
  DECLARE @V_NEW_IDIMPLEITURAX	  VARCHAR(1);
  DECLARE @V_NEW_IDTIPOIMPNF	  VARCHAR(5);
  DECLARE @V_NEW_IDTIPOIMPNF2	  VARCHAR(5);
  DECLARE @V_NEW_CDPORTAIMPNF	  VARCHAR(5);
  DECLARE @V_NEW_CDPORTAIMPNF2	  VARCHAR(5);
  DECLARE @V_NEW_IDTPVENDIMPNF1	  VARCHAR(1);
  DECLARE @V_NEW_IDTPVENDIMPNF2	  VARCHAR(1);
  DECLARE @V_NEW_CDIMPRESSORA2	  VARCHAR(3);
  DECLARE @V_NEW_IDSOLNUMDEPFC	  VARCHAR(1);
  DECLARE @V_NEW_IDSOLICITACPF	  VARCHAR(1);
  DECLARE @V_NEW_IDGRAVAMFD	  VARCHAR(1);
  DECLARE @V_NEW_IDBAIXAPERIF	  VARCHAR(1);
  DECLARE @V_NEW_IDINFREDZNCAD	  VARCHAR(1);
  DECLARE @V_NEW_IDTIPOMICROTERM  VARCHAR(1);
  DECLARE @V_NEW_CDSETOR	  VARCHAR(4);
  DECLARE @V_NEW_IDPAISINTEGRA	  VARCHAR(2);
  DECLARE @V_NEW_CDPREFINTGCOL	  VARCHAR(10);
  DECLARE @V_NEW_NRCUPINIINTGCOL  VARCHAR(10);
  DECLARE @V_NEW_NRCUPFININTGCOL  VARCHAR(10);
  DECLARE @V_NEW_DSRESOLINTGCOL	  VARCHAR(50);
  DECLARE @V_NEW_IDPERCOMVENCPDC  VARCHAR(1);
  DECLARE @V_NEW_DSMENSCPFCUP	  VARCHAR(50);
  DECLARE @V_NEW_IDLCDBARBALATOL  VARCHAR(1);
  DECLARE @V_NEW_NRPOSINICODBARR  VARCHAR(5);
  DECLARE @V_NEW_NRPOSFINCODBARR  VARCHAR(5);
  DECLARE @V_NEW_NRPOSINIQTCDBAR  VARCHAR(5);
  DECLARE @V_NEW_NRPOSFINQTCDBAR  VARCHAR(5);
  DECLARE @V_NEW_NRPOSINIVRCDBAR  VARCHAR(5);
  DECLARE @V_NEW_NRPOSFINVRCDBAR  VARCHAR(5);
  DECLARE @V_NEW_IDIMPCOMPDEBCON  VARCHAR(1);
  DECLARE @V_NEW_IDIMPCOMPCREDPE  VARCHAR(1);
  DECLARE @V_NEW_IDIMPCOMPCUPVEN  VARCHAR(1);
  DECLARE @V_NEW_IDGERAARQVNDRIO  VARCHAR(1);
  DECLARE @V_NEW_IDTPCONTRREPIQ	  VARCHAR(1);
  DECLARE @V_NEW_IDPERABERCOMCXA  VARCHAR(1);
  DECLARE @V_NEW_NRDIASVENDAMSDE  VARCHAR(3);
  DECLARE @V_NEW_IDFREQLIMPVENDA  VARCHAR(1);
  DECLARE @V_NEW_NRDIASBXVNDMSDE  VARCHAR(3);

  DECLARE @V_OLD_CDFILIAL	  VARCHAR(4);
  DECLARE @V_OLD_CDCAIXA	  VARCHAR(3);
  DECLARE @V_OLD_NMCAIXA	  VARCHAR(30);
  DECLARE @V_OLD_CDLOJA	          VARCHAR(10);
  DECLARE @V_OLD_CDALMOXARIFE	  VARCHAR(6);
  DECLARE @V_OLD_CDLOCALESTOQ	  VARCHAR(6);
  DECLARE @V_OLD_DSDIRFOTOPR	  VARCHAR(200);
  DECLARE @V_OLD_IDCONFVENDA	  VARCHAR(1);
  DECLARE @V_OLD_IDGERANOTA	  VARCHAR(1);
  DECLARE @V_OLD_IDPORTABAL	  VARCHAR(10);
  DECLARE @V_OLD_IDPORTAIMP	  VARCHAR(1);
  DECLARE @V_OLD_IDTIPOIMP	  VARCHAR(1);
  DECLARE @V_OLD_IDTPTELAVE	  VARCHAR(1);
  DECLARE @V_OLD_IDVEPORTABAL	  VARCHAR(10);
  DECLARE @V_OLD_TPEXTFOTOPR	  VARCHAR(5);
  DECLARE @V_OLD_VRABERCAIX	  DECIMAL(17);
  DECLARE @V_OLD_VRDIFCAIX	  DECIMAL(17);
  DECLARE @V_OLD_IDENTRSAIDOP	  VARCHAR(1);
  DECLARE @V_OLD_CDTIPOOPER	  VARCHAR(2);
  DECLARE @V_OLD_IDCAMPOPESQ	  VARCHAR(1);
  DECLARE @V_OLD_IDINFOCONS	  VARCHAR(1);
  DECLARE @V_OLD_IDCOLETOR	  VARCHAR(1);
  DECLARE @V_OLD_CDCAIXACONT	  VARCHAR(3);
  DECLARE @V_OLD_DSDIRIMPARQ	  VARCHAR(200);
  DECLARE @V_OLD_DSDIRBACARQ	  VARCHAR(200);
  DECLARE @V_OLD_DSDIREXPARQ	  VARCHAR(200);
  DECLARE @V_OLD_IDUTILTEF	  VARCHAR(1);
  DECLARE @V_OLD_IDUTILCHEQ	  VARCHAR(1);
  DECLARE @V_OLD_IDTIPINFCONS	  VARCHAR(1);
  DECLARE @V_OLD_IDPERTROCAOP	  VARCHAR(1);
  DECLARE @V_OLD_IDCAIXAFISCA	  VARCHAR(1);
  DECLARE @V_OLD_IDVERIFCOTA	  VARCHAR(1);
  DECLARE @V_OLD_IDIMPVENDCON	  VARCHAR(1);
  DECLARE @V_OLD_VRLIMSANGRIA	  DECIMAL(17);
  DECLARE @V_OLD_IDEMIRECSANG	  VARCHAR(1);
  DECLARE @V_OLD_IDEMIRELPROD	  VARCHAR(1);
  DECLARE @V_OLD_IDTIPOCAIXA	  VARCHAR(1);
  DECLARE @V_OLD_CDFILICONFTE	  VARCHAR(4);
  DECLARE @V_OLD_NRCONFTELA	  VARCHAR(5);
  DECLARE @V_OLD_CDGRUPPROD	  VARCHAR(10);
  DECLARE @V_OLD_CDPORTABAL	  VARCHAR(5);
  DECLARE @V_OLD_IDTIPOBAL	  VARCHAR(5);
  DECLARE @V_OLD_NRVELOCBAL	  VARCHAR(10);
  DECLARE @V_OLD_CDPORTAIMPFI	  VARCHAR(5);
  DECLARE @V_OLD_IDTIPOIMPFI	  VARCHAR(5);
  DECLARE @V_OLD_CDPORTACAT	  VARCHAR(5);
  DECLARE @V_OLD_IDTIPOCAT	  VARCHAR(5);
  DECLARE @V_OLD_NRCOLETCAT	  VARCHAR(5);
  DECLARE @V_OLD_CDPORTAPROX	  VARCHAR(5);
  DECLARE @V_OLD_IDTIPOPROX	  VARCHAR(5);
  DECLARE @V_OLD_NRVELOCPROX	  VARCHAR(10);
  DECLARE @V_OLD_IDTIPOTECLAD	  VARCHAR(5);
  DECLARE @V_OLD_IDTIPOGAVETA	  VARCHAR(5);
  DECLARE @V_OLD_CDPORTADISP	  VARCHAR(5);
  DECLARE @V_OLD_IDTIPODISP	  VARCHAR(5);
  DECLARE @V_OLD_CDPORTAOPT	  VARCHAR(5);
  DECLARE @V_OLD_IDTIPOOPT	  VARCHAR(5);
  DECLARE @V_OLD_NRVELOCOPT	  VARCHAR(10);
  DECLARE @V_OLD_IDTIPOIMPCHQ	  VARCHAR(5);
  DECLARE @V_OLD_CDPORTACHQ	  VARCHAR(5);
  DECLARE @V_OLD_NRVELOVCHQ	  VARCHAR(10);
  DECLARE @V_OLD_NMMUNICIPCHQ	  VARCHAR(50);
  DECLARE @V_OLD_NMNOMINALCHQ	  VARCHAR(70);
  DECLARE @V_OLD_NMMOEDACORRS	  VARCHAR(30);
  DECLARE @V_OLD_NMMOEDACORRP	  VARCHAR(30);
  DECLARE @V_OLD_IDGERADEBUG	  VARCHAR(1);
  DECLARE @V_OLD_IDHRVERAO	  VARCHAR(1);
  DECLARE @V_OLD_IDSINCIMPFIS	  VARCHAR(1);
  DECLARE @V_OLD_DSMSGINITOT	  VARCHAR(200);
  DECLARE @V_OLD_DSMSGADITOT	  VARCHAR(200);
  DECLARE @V_OLD_NRDIAINITOT	  VARCHAR(2);
  DECLARE @V_OLD_NRDIAFINTOT	  VARCHAR(2);
  DECLARE @V_OLD_NRSEGFECTOT	  VARCHAR(5);
  DECLARE @V_OLD_IDEXIMSGSAL	  VARCHAR(1);
  DECLARE @V_OLD_IDTIPEXTTOT	  VARCHAR(1);
  DECLARE @V_OLD_IDSELLOJTOT	  VARCHAR(1);
  DECLARE @V_OLD_IDINFCLIECAI	  VARCHAR(1);
  DECLARE @V_OLD_IDUTILEITCON	  VARCHAR(1);
  DECLARE @V_OLD_IDEXIMENDESC	  VARCHAR(1);
  DECLARE @V_OLD_DTULTATUCAIX     datetime;
  DECLARE @V_OLD_IDDIGCODPLM	  VARCHAR(1);
  DECLARE @V_OLD_IDTPIMPPARC	  VARCHAR(1);
  DECLARE @V_OLD_DSENDIPSITEF	  VARCHAR(20);
  DECLARE @V_OLD_DSMSGCONTOT	  VARCHAR(200);
  DECLARE @V_OLD_IDIMPREDZ	  VARCHAR(1);
  DECLARE @V_OLD_CDTECLADO	  VARCHAR(20);
  DECLARE @V_OLD_IDAUTOIMPTAB	  VARCHAR(1);
  DECLARE @V_OLD_IDAUTOIMPVEN	  VARCHAR(1);
  DECLARE @V_OLD_CDLOJATEF	  VARCHAR(8);
  DECLARE @V_OLD_CDTERTEF	  VARCHAR(8);
  DECLARE @V_OLD_IDCONSCHEQUE	  VARCHAR(1);
  DECLARE @V_OLD_IDTRIBRELPRO	  VARCHAR(1);
  DECLARE @V_OLD_CDIMPRESSORA	  VARCHAR(3);
  DECLARE @V_OLD_DSDIRCAIXEXP	  VARCHAR(200);
  DECLARE @V_OLD_DSCAIXATAB	  VARCHAR(250);
  DECLARE @V_OLD_DSCAIXAVEN	  VARCHAR(250);
  DECLARE @V_OLD_IDBLOQIDCART	  VARCHAR(1);
  DECLARE @V_OLD_DSOBSCUPFIS	  VARCHAR(250);
  DECLARE @V_OLD_IDINFVENBAL	  VARCHAR(1);
  DECLARE @V_OLD_IDHABCAIXAVENDA  VARCHAR(3);
  DECLARE @V_OLD_IDIMPBARRCUP	  VARCHAR(1);
  DECLARE @V_OLD_NMPADBARRCUP	  VARCHAR(20);
  DECLARE @V_OLD_IDPERMCANCVND	  VARCHAR(1);
  DECLARE @V_OLD_IDIMPLEITURAX	  VARCHAR(1);
  DECLARE @V_OLD_IDTIPOIMPNF	  VARCHAR(5);
  DECLARE @V_OLD_IDTIPOIMPNF2	  VARCHAR(5);
  DECLARE @V_OLD_CDPORTAIMPNF	  VARCHAR(5);
  DECLARE @V_OLD_CDPORTAIMPNF2	  VARCHAR(5);
  DECLARE @V_OLD_IDTPVENDIMPNF1	  VARCHAR(1);
  DECLARE @V_OLD_IDTPVENDIMPNF2	  VARCHAR(1);
  DECLARE @V_OLD_CDIMPRESSORA2	  VARCHAR(3);
  DECLARE @V_OLD_IDSOLNUMDEPFC	  VARCHAR(1);
  DECLARE @V_OLD_IDSOLICITACPF	  VARCHAR(1);
  DECLARE @V_OLD_IDGRAVAMFD	  VARCHAR(1);
  DECLARE @V_OLD_IDBAIXAPERIF	  VARCHAR(1);
  DECLARE @V_OLD_IDINFREDZNCAD	  VARCHAR(1);
  DECLARE @V_OLD_IDTIPOMICROTERM  VARCHAR(1);
  DECLARE @V_OLD_CDSETOR	  VARCHAR(4);
  DECLARE @V_OLD_IDPAISINTEGRA	  VARCHAR(2);
  DECLARE @V_OLD_CDPREFINTGCOL	  VARCHAR(10);
  DECLARE @V_OLD_NRCUPINIINTGCOL  VARCHAR(10);
  DECLARE @V_OLD_NRCUPFININTGCOL  VARCHAR(10);
  DECLARE @V_OLD_DSRESOLINTGCOL	  VARCHAR(50);
  DECLARE @V_OLD_IDPERCOMVENCPDC  VARCHAR(1);
  DECLARE @V_OLD_DSMENSCPFCUP	  VARCHAR(50);
  DECLARE @V_OLD_IDLCDBARBALATOL  VARCHAR(1);
  DECLARE @V_OLD_NRPOSINICODBARR  VARCHAR(5);
  DECLARE @V_OLD_NRPOSFINCODBARR  VARCHAR(5);
  DECLARE @V_OLD_NRPOSINIQTCDBAR  VARCHAR(5);
  DECLARE @V_OLD_NRPOSFINQTCDBAR  VARCHAR(5);
  DECLARE @V_OLD_NRPOSINIVRCDBAR  VARCHAR(5);
  DECLARE @V_OLD_NRPOSFINVRCDBAR  VARCHAR(5);
  DECLARE @V_OLD_IDIMPCOMPDEBCON  VARCHAR(1);
  DECLARE @V_OLD_IDIMPCOMPCREDPE  VARCHAR(1);
  DECLARE @V_OLD_IDIMPCOMPCUPVEN  VARCHAR(1);
  DECLARE @V_OLD_IDGERAARQVNDRIO  VARCHAR(1);
  DECLARE @V_OLD_IDTPCONTRREPIQ	  VARCHAR(1);
  DECLARE @V_OLD_IDPERABERCOMCXA  VARCHAR(1);
  DECLARE @V_OLD_NRDIASVENDAMSDE  VARCHAR(3);
  DECLARE @V_OLD_IDFREQLIMPVENDA  VARCHAR(1);
  DECLARE @V_OLD_NRDIASBXVNDMSDE  VARCHAR(3);

BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/

   SET @V_DESC   = '';
   SET @V_ITPESQ     = '';
   SET @V_NMOPERADOR = '';
   SET @V_IDTIPOOPER = '';

   EXEC NMUSUARIO @P_NMUSUARIO = @V_NMOPERADOR OUTPUT;
   SET @V_NMOPERADOR = ISNULL(@V_NMOPERADOR, ' ');

   EXEC WEBTUNNING  @P_DSREMOTEADDR = @V_DSREMOTEADDR OUTPUT,
                    @P_DSREMOTEHOST = @V_DSREMOTEHOST OUTPUT,
                    @P_DSSERVERRDM  = @V_DSSERVERRDM OUTPUT,
                    @P_DSSERVMETHOD = @V_DSSERVMETHOD OUTPUT,
                    @P_DSREMOTEOPER = @V_DSREMOTEOPER OUTPUT;

   DECLARE C_CURSOR CURSOR FOR
     SELECT
     'D'   ID_COMANDO,
	   NULL,NULL,NULL,NULL,NULL,  NULL,NULL,NULL,NULL,NULL, NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,
	   DELETED.CDFILIAL,
	   DELETED.CDCAIXA,
	   DELETED.NMCAIXA,
	   DELETED.CDLOJA,
	   DELETED.CDALMOXARIFE,
	   DELETED.CDLOCALESTOQ,
	   DELETED.DSDIRFOTOPR,
	   DELETED.IDCONFVENDA,
	   DELETED.IDGERANOTA,
	   DELETED.IDPORTABAL,
	   DELETED.IDPORTAIMP,
	   DELETED.IDTIPOIMP,
	   DELETED.IDTPTELAVE,
	   DELETED.IDVEPORTABAL,
	   DELETED.TPEXTFOTOPR,
	   DELETED.VRABERCAIX,
	   DELETED.VRDIFCAIX,
	   DELETED.IDENTRSAIDOP,
	   DELETED.CDTIPOOPER,
	   DELETED.IDCAMPOPESQ,
	   DELETED.IDINFOCONS,
	   DELETED.IDCOLETOR,
	   DELETED.CDCAIXACONT,
	   DELETED.DSDIRIMPARQ,
	   DELETED.DSDIRBACARQ,
	   DELETED.DSDIREXPARQ,
	   DELETED.IDUTILTEF,
	   DELETED.IDUTILCHEQ,
	   DELETED.IDTIPINFCONS,
	   DELETED.IDPERTROCAOP,
	   DELETED.IDCAIXAFISCA,
	   DELETED.IDVERIFCOTA,
	   DELETED.IDIMPVENDCON,
	   DELETED.VRLIMSANGRIA,
	   DELETED.IDEMIRECSANG,
	   DELETED.IDEMIRELPROD,
	   DELETED.IDTIPOCAIXA,
	   DELETED.CDFILICONFTE,
	   DELETED.NRCONFTELA,
	   DELETED.CDGRUPPROD,
	   DELETED.CDPORTABAL,
	   DELETED.IDTIPOBAL,
	   DELETED.NRVELOCBAL,
	   DELETED.CDPORTAIMPFI,
	   DELETED.IDTIPOIMPFI,
	   DELETED.CDPORTACAT,
	   DELETED.IDTIPOCAT,
	   DELETED.NRCOLETCAT,
	   DELETED.CDPORTAPROX,
	   DELETED.IDTIPOPROX,
	   DELETED.NRVELOCPROX,
	   DELETED.IDTIPOTECLAD,
	   DELETED.IDTIPOGAVETA,
	   DELETED.CDPORTADISP,
	   DELETED.IDTIPODISP,
	   DELETED.CDPORTAOPT,
	   DELETED.IDTIPOOPT,
	   DELETED.NRVELOCOPT,
	   DELETED.IDTIPOIMPCHQ,
	   DELETED.CDPORTACHQ,
	   DELETED.NRVELOVCHQ,
	   DELETED.NMMUNICIPCHQ,
	   DELETED.NMNOMINALCHQ,
	   DELETED.NMMOEDACORRS,
	   DELETED.NMMOEDACORRP,
	   DELETED.IDGERADEBUG,
	   DELETED.IDHRVERAO,
	   DELETED.IDSINCIMPFIS,
	   DELETED.DSMSGINITOT,
	   DELETED.DSMSGADITOT,
	   DELETED.NRDIAINITOT,
	   DELETED.NRDIAFINTOT,
	   DELETED.NRSEGFECTOT,
	   DELETED.IDEXIMSGSAL,
	   DELETED.IDTIPEXTTOT,
	   DELETED.IDSELLOJTOT,
	   DELETED.IDINFCLIECAI,
	   DELETED.IDUTILEITCON,
	   DELETED.IDEXIMENDESC,
	   DELETED.DTULTATUCAIX,
	   DELETED.IDDIGCODPLM,
	   DELETED.IDTPIMPPARC,
	   DELETED.DSENDIPSITEF,
	   DELETED.DSMSGCONTOT,
	   DELETED.IDIMPREDZ,
	   DELETED.CDTECLADO,
	   DELETED.IDAUTOIMPTAB,
	   DELETED.IDAUTOIMPVEN,
	   DELETED.CDLOJATEF,
	   DELETED.CDTERTEF,
	   DELETED.IDCONSCHEQUE,
	   DELETED.IDTRIBRELPRO,
	   DELETED.CDIMPRESSORA,
	   DELETED.DSDIRCAIXEXP,
	   DELETED.DSCAIXATAB,
	   DELETED.DSCAIXAVEN,
	   DELETED.IDBLOQIDCART,
	   DELETED.DSOBSCUPFIS,
	   DELETED.IDINFVENBAL,
	   DELETED.IDHABCAIXAVENDA,
	   DELETED.IDIMPBARRCUP,
	   DELETED.NMPADBARRCUP,
	   DELETED.IDPERMCANCVND,
	   DELETED.IDIMPLEITURAX,
	   DELETED.IDTIPOIMPNF,
	   DELETED.IDTIPOIMPNF,
	   DELETED.CDPORTAIMPNF,
	   DELETED.CDPORTAIMPNF,
	   DELETED.IDTPVENDIMPNF1,
	   DELETED.IDTPVENDIMPNF2,
	   DELETED.CDIMPRESSORA,
	   DELETED.IDSOLNUMDEPFC,
	   DELETED.IDSOLICITACPF,
	   DELETED.IDGRAVAMFD,
	   DELETED.IDBAIXAPERIF,
	   DELETED.IDINFREDZNCAD,
	   DELETED.IDTIPOMICROTERM,
	   DELETED.CDSETOR,
	   DELETED.IDPAISINTEGRA,
	   DELETED.CDPREFINTGCOL,
	   DELETED.NRCUPINIINTGCOL,
	   DELETED.NRCUPFININTGCOL,
	   DELETED.DSRESOLINTGCOL,
	   DELETED.IDPERCOMVENCPDC,
	   DELETED.DSMENSCPFCUP,
	   DELETED.IDLCDBARBALATOL,
	   DELETED.NRPOSINICODBARR,
	   DELETED.NRPOSFINCODBARR,
	   DELETED.NRPOSINIQTCDBAR,
	   DELETED.NRPOSFINQTCDBAR,
	   DELETED.NRPOSINIVRCDBAR,
	   DELETED.NRPOSFINVRCDBAR,
	   DELETED.IDIMPCOMPDEBCON,
	   DELETED.IDIMPCOMPCREDPE,
	   DELETED.IDIMPCOMPCUPVEN,
	   DELETED.IDGERAARQVNDRIO,
	   DELETED.IDTPCONTRREPIQ,
	   DELETED.IDPERABERCOMCXA,
	   DELETED.NRDIASVENDAMSDE,
	   DELETED.IDFREQLIMPVENDA,
	   DELETED.NRDIASBXVNDMSDE
     FROM
           DELETED
     WHERE     
           DELETED.CDFILIAL + DELETED.CDCAIXA   NOT IN (SELECT CDFILIAL + CDCAIXA FROM INSERTED)
     UNION ALL

     SELECT
     'U'   IDCOMANDO,
	   INSERTED.CDFILIAL,
	   INSERTED.CDCAIXA,
	   INSERTED.NMCAIXA,
	   INSERTED.CDLOJA,
	   INSERTED.CDALMOXARIFE,
	   INSERTED.CDLOCALESTOQ,
	   INSERTED.DSDIRFOTOPR,
	   INSERTED.IDCONFVENDA,
	   INSERTED.IDGERANOTA,
	   INSERTED.IDPORTABAL,
	   INSERTED.IDPORTAIMP,
	   INSERTED.IDTIPOIMP,
	   INSERTED.IDTPTELAVE,
	   INSERTED.IDVEPORTABAL,
	   INSERTED.TPEXTFOTOPR,
	   INSERTED.VRABERCAIX,
	   INSERTED.VRDIFCAIX,
	   INSERTED.IDENTRSAIDOP,
	   INSERTED.CDTIPOOPER,
	   INSERTED.IDCAMPOPESQ,
	   INSERTED.IDINFOCONS,
	   INSERTED.IDCOLETOR,
	   INSERTED.CDCAIXACONT,
	   INSERTED.DSDIRIMPARQ,
	   INSERTED.DSDIRBACARQ,
	   INSERTED.DSDIREXPARQ,
	   INSERTED.IDUTILTEF,
	   INSERTED.IDUTILCHEQ,
	   INSERTED.IDTIPINFCONS,
	   INSERTED.IDPERTROCAOP,
	   INSERTED.IDCAIXAFISCA,
	   INSERTED.IDVERIFCOTA,
	   INSERTED.IDIMPVENDCON,
	   INSERTED.VRLIMSANGRIA,
	   INSERTED.IDEMIRECSANG,
	   INSERTED.IDEMIRELPROD,
	   INSERTED.IDTIPOCAIXA,
	   INSERTED.CDFILICONFTE,
	   INSERTED.NRCONFTELA,
	   INSERTED.CDGRUPPROD,
	   INSERTED.CDPORTABAL,
	   INSERTED.IDTIPOBAL,
	   INSERTED.NRVELOCBAL,
	   INSERTED.CDPORTAIMPFI,
	   INSERTED.IDTIPOIMPFI,
	   INSERTED.CDPORTACAT,
	   INSERTED.IDTIPOCAT,
	   INSERTED.NRCOLETCAT,
	   INSERTED.CDPORTAPROX,
	   INSERTED.IDTIPOPROX,
	   INSERTED.NRVELOCPROX,
	   INSERTED.IDTIPOTECLAD,
	   INSERTED.IDTIPOGAVETA,
	   INSERTED.CDPORTADISP,
	   INSERTED.IDTIPODISP,
	   INSERTED.CDPORTAOPT,
	   INSERTED.IDTIPOOPT,
	   INSERTED.NRVELOCOPT,
	   INSERTED.IDTIPOIMPCHQ,
	   INSERTED.CDPORTACHQ,
	   INSERTED.NRVELOVCHQ,
	   INSERTED.NMMUNICIPCHQ,
	   INSERTED.NMNOMINALCHQ,
	   INSERTED.NMMOEDACORRS,
	   INSERTED.NMMOEDACORRP,
	   INSERTED.IDGERADEBUG,
	   INSERTED.IDHRVERAO,
	   INSERTED.IDSINCIMPFIS,
	   INSERTED.DSMSGINITOT,
	   INSERTED.DSMSGADITOT,
	   INSERTED.NRDIAINITOT,
	   INSERTED.NRDIAFINTOT,
	   INSERTED.NRSEGFECTOT,
	   INSERTED.IDEXIMSGSAL,
	   INSERTED.IDTIPEXTTOT,
	   INSERTED.IDSELLOJTOT,
	   INSERTED.IDINFCLIECAI,
	   INSERTED.IDUTILEITCON,
	   INSERTED.IDEXIMENDESC,
	   INSERTED.DTULTATUCAIX,
	   INSERTED.IDDIGCODPLM,
	   INSERTED.IDTPIMPPARC,
	   INSERTED.DSENDIPSITEF,
	   INSERTED.DSMSGCONTOT,
	   INSERTED.IDIMPREDZ,
	   INSERTED.CDTECLADO,
	   INSERTED.IDAUTOIMPTAB,
	   INSERTED.IDAUTOIMPVEN,
	   INSERTED.CDLOJATEF,
	   INSERTED.CDTERTEF,
	   INSERTED.IDCONSCHEQUE,
	   INSERTED.IDTRIBRELPRO,
	   INSERTED.CDIMPRESSORA,
	   INSERTED.DSDIRCAIXEXP,
	   INSERTED.DSCAIXATAB,
	   INSERTED.DSCAIXAVEN,
	   INSERTED.IDBLOQIDCART,
	   INSERTED.DSOBSCUPFIS,
	   INSERTED.IDINFVENBAL,
	   INSERTED.IDHABCAIXAVENDA,
	   INSERTED.IDIMPBARRCUP,
	   INSERTED.NMPADBARRCUP,
	   INSERTED.IDPERMCANCVND,
	   INSERTED.IDIMPLEITURAX,
	   INSERTED.IDTIPOIMPNF,
	   INSERTED.IDTIPOIMPNF,
	   INSERTED.CDPORTAIMPNF,
	   INSERTED.CDPORTAIMPNF,
	   INSERTED.IDTPVENDIMPNF1,
	   INSERTED.IDTPVENDIMPNF2,
	   INSERTED.CDIMPRESSORA,
	   INSERTED.IDSOLNUMDEPFC,
	   INSERTED.IDSOLICITACPF,
	   INSERTED.IDGRAVAMFD,
	   INSERTED.IDBAIXAPERIF,
	   INSERTED.IDINFREDZNCAD,
	   INSERTED.IDTIPOMICROTERM,
	   INSERTED.CDSETOR,
	   INSERTED.IDPAISINTEGRA,
	   INSERTED.CDPREFINTGCOL,
	   INSERTED.NRCUPINIINTGCOL,
	   INSERTED.NRCUPFININTGCOL,
	   INSERTED.DSRESOLINTGCOL,
	   INSERTED.IDPERCOMVENCPDC,
	   INSERTED.DSMENSCPFCUP,
	   INSERTED.IDLCDBARBALATOL,
	   INSERTED.NRPOSINICODBARR,
	   INSERTED.NRPOSFINCODBARR,
	   INSERTED.NRPOSINIQTCDBAR,
	   INSERTED.NRPOSFINQTCDBAR,
	   INSERTED.NRPOSINIVRCDBAR,
	   INSERTED.NRPOSFINVRCDBAR,
	   INSERTED.IDIMPCOMPDEBCON,
	   INSERTED.IDIMPCOMPCREDPE,
	   INSERTED.IDIMPCOMPCUPVEN,
	   INSERTED.IDGERAARQVNDRIO,
	   INSERTED.IDTPCONTRREPIQ,
	   INSERTED.IDPERABERCOMCXA,
	   INSERTED.NRDIASVENDAMSDE,
	   INSERTED.IDFREQLIMPVENDA,
	   INSERTED.NRDIASBXVNDMSDE,
	   DELETED.CDFILIAL,
	   DELETED.CDCAIXA,
	   DELETED.NMCAIXA,
	   DELETED.CDLOJA,
	   DELETED.CDALMOXARIFE,
	   DELETED.CDLOCALESTOQ,
	   DELETED.DSDIRFOTOPR,
	   DELETED.IDCONFVENDA,
	   DELETED.IDGERANOTA,
	   DELETED.IDPORTABAL,
	   DELETED.IDPORTAIMP,
	   DELETED.IDTIPOIMP,
	   DELETED.IDTPTELAVE,
	   DELETED.IDVEPORTABAL,
	   DELETED.TPEXTFOTOPR,
	   DELETED.VRABERCAIX,
	   DELETED.VRDIFCAIX,
	   DELETED.IDENTRSAIDOP,
	   DELETED.CDTIPOOPER,
	   DELETED.IDCAMPOPESQ,
	   DELETED.IDINFOCONS,
	   DELETED.IDCOLETOR,
	   DELETED.CDCAIXACONT,
	   DELETED.DSDIRIMPARQ,
	   DELETED.DSDIRBACARQ,
	   DELETED.DSDIREXPARQ,
	   DELETED.IDUTILTEF,
	   DELETED.IDUTILCHEQ,
	   DELETED.IDTIPINFCONS,
	   DELETED.IDPERTROCAOP,
	   DELETED.IDCAIXAFISCA,
	   DELETED.IDVERIFCOTA,
	   DELETED.IDIMPVENDCON,
	   DELETED.VRLIMSANGRIA,
	   DELETED.IDEMIRECSANG,
	   DELETED.IDEMIRELPROD,
	   DELETED.IDTIPOCAIXA,
	   DELETED.CDFILICONFTE,
	   DELETED.NRCONFTELA,
	   DELETED.CDGRUPPROD,
	   DELETED.CDPORTABAL,
	   DELETED.IDTIPOBAL,
	   DELETED.NRVELOCBAL,
	   DELETED.CDPORTAIMPFI,
	   DELETED.IDTIPOIMPFI,
	   DELETED.CDPORTACAT,
	   DELETED.IDTIPOCAT,
	   DELETED.NRCOLETCAT,
	   DELETED.CDPORTAPROX,
	   DELETED.IDTIPOPROX,
	   DELETED.NRVELOCPROX,
	   DELETED.IDTIPOTECLAD,
	   DELETED.IDTIPOGAVETA,
	   DELETED.CDPORTADISP,
	   DELETED.IDTIPODISP,
	   DELETED.CDPORTAOPT,
	   DELETED.IDTIPOOPT,
	   DELETED.NRVELOCOPT,
	   DELETED.IDTIPOIMPCHQ,
	   DELETED.CDPORTACHQ,
	   DELETED.NRVELOVCHQ,
	   DELETED.NMMUNICIPCHQ,
	   DELETED.NMNOMINALCHQ,
	   DELETED.NMMOEDACORRS,
	   DELETED.NMMOEDACORRP,
	   DELETED.IDGERADEBUG,
	   DELETED.IDHRVERAO,
	   DELETED.IDSINCIMPFIS,
	   DELETED.DSMSGINITOT,
	   DELETED.DSMSGADITOT,
	   DELETED.NRDIAINITOT,
	   DELETED.NRDIAFINTOT,
	   DELETED.NRSEGFECTOT,
	   DELETED.IDEXIMSGSAL,
	   DELETED.IDTIPEXTTOT,
	   DELETED.IDSELLOJTOT,
	   DELETED.IDINFCLIECAI,
	   DELETED.IDUTILEITCON,
	   DELETED.IDEXIMENDESC,
	   DELETED.DTULTATUCAIX,
	   DELETED.IDDIGCODPLM,
	   DELETED.IDTPIMPPARC,
	   DELETED.DSENDIPSITEF,
	   DELETED.DSMSGCONTOT,
	   DELETED.IDIMPREDZ,
	   DELETED.CDTECLADO,
	   DELETED.IDAUTOIMPTAB,
	   DELETED.IDAUTOIMPVEN,
	   DELETED.CDLOJATEF,
	   DELETED.CDTERTEF,
	   DELETED.IDCONSCHEQUE,
	   DELETED.IDTRIBRELPRO,
	   DELETED.CDIMPRESSORA,
	   DELETED.DSDIRCAIXEXP,
	   DELETED.DSCAIXATAB,
	   DELETED.DSCAIXAVEN,
	   DELETED.IDBLOQIDCART,
	   DELETED.DSOBSCUPFIS,
	   DELETED.IDINFVENBAL,
	   DELETED.IDHABCAIXAVENDA,
	   DELETED.IDIMPBARRCUP,
	   DELETED.NMPADBARRCUP,
	   DELETED.IDPERMCANCVND,
	   DELETED.IDIMPLEITURAX,
	   DELETED.IDTIPOIMPNF,
	   DELETED.IDTIPOIMPNF,
	   DELETED.CDPORTAIMPNF,
	   DELETED.CDPORTAIMPNF,
	   DELETED.IDTPVENDIMPNF1,
	   DELETED.IDTPVENDIMPNF2,
	   DELETED.CDIMPRESSORA,
	   DELETED.IDSOLNUMDEPFC,
	   DELETED.IDSOLICITACPF,
	   DELETED.IDGRAVAMFD,
	   DELETED.IDBAIXAPERIF,
	   DELETED.IDINFREDZNCAD,
	   DELETED.IDTIPOMICROTERM,
	   DELETED.CDSETOR,
	   DELETED.IDPAISINTEGRA,
	   DELETED.CDPREFINTGCOL,
	   DELETED.NRCUPINIINTGCOL,
	   DELETED.NRCUPFININTGCOL,
	   DELETED.DSRESOLINTGCOL,
	   DELETED.IDPERCOMVENCPDC,
	   DELETED.DSMENSCPFCUP,
	   DELETED.IDLCDBARBALATOL,
	   DELETED.NRPOSINICODBARR,
	   DELETED.NRPOSFINCODBARR,
	   DELETED.NRPOSINIQTCDBAR,
	   DELETED.NRPOSFINQTCDBAR,
	   DELETED.NRPOSINIVRCDBAR,
	   DELETED.NRPOSFINVRCDBAR,
	   DELETED.IDIMPCOMPDEBCON,
	   DELETED.IDIMPCOMPCREDPE,
	   DELETED.IDIMPCOMPCUPVEN,
	   DELETED.IDGERAARQVNDRIO,
	   DELETED.IDTPCONTRREPIQ,
	   DELETED.IDPERABERCOMCXA,
	   DELETED.NRDIASVENDAMSDE,
	   DELETED.IDFREQLIMPVENDA,
	   DELETED.NRDIASBXVNDMSDE
     FROM
           INSERTED,
           DELETED
     WHERE     
           INSERTED.CDFILIAL = DELETED.CDFILIAL AND
	   INSERTED.CDCAIXA  = DELETED.CDCAIXA
     UNION ALL

     SELECT
     'I'   IDCOMANDO,
	   INSERTED.CDFILIAL,
	   INSERTED.CDCAIXA,
	   INSERTED.NMCAIXA,
	   INSERTED.CDLOJA,
	   INSERTED.CDALMOXARIFE,
	   INSERTED.CDLOCALESTOQ,
	   INSERTED.DSDIRFOTOPR,
	   INSERTED.IDCONFVENDA,
	   INSERTED.IDGERANOTA,
	   INSERTED.IDPORTABAL,
	   INSERTED.IDPORTAIMP,
	   INSERTED.IDTIPOIMP,
	   INSERTED.IDTPTELAVE,
	   INSERTED.IDVEPORTABAL,
	   INSERTED.TPEXTFOTOPR,
	   INSERTED.VRABERCAIX,
	   INSERTED.VRDIFCAIX,
	   INSERTED.IDENTRSAIDOP,
	   INSERTED.CDTIPOOPER,
	   INSERTED.IDCAMPOPESQ,
	   INSERTED.IDINFOCONS,
	   INSERTED.IDCOLETOR,
	   INSERTED.CDCAIXACONT,
	   INSERTED.DSDIRIMPARQ,
	   INSERTED.DSDIRBACARQ,
	   INSERTED.DSDIREXPARQ,
	   INSERTED.IDUTILTEF,
	   INSERTED.IDUTILCHEQ,
	   INSERTED.IDTIPINFCONS,
	   INSERTED.IDPERTROCAOP,
	   INSERTED.IDCAIXAFISCA,
	   INSERTED.IDVERIFCOTA,
	   INSERTED.IDIMPVENDCON,
	   INSERTED.VRLIMSANGRIA,
	   INSERTED.IDEMIRECSANG,
	   INSERTED.IDEMIRELPROD,
	   INSERTED.IDTIPOCAIXA,
	   INSERTED.CDFILICONFTE,
	   INSERTED.NRCONFTELA,
	   INSERTED.CDGRUPPROD,
	   INSERTED.CDPORTABAL,
	   INSERTED.IDTIPOBAL,
	   INSERTED.NRVELOCBAL,
	   INSERTED.CDPORTAIMPFI,
	   INSERTED.IDTIPOIMPFI,
	   INSERTED.CDPORTACAT,
	   INSERTED.IDTIPOCAT,
	   INSERTED.NRCOLETCAT,
	   INSERTED.CDPORTAPROX,
	   INSERTED.IDTIPOPROX,
	   INSERTED.NRVELOCPROX,
	   INSERTED.IDTIPOTECLAD,
	   INSERTED.IDTIPOGAVETA,
	   INSERTED.CDPORTADISP,
	   INSERTED.IDTIPODISP,
	   INSERTED.CDPORTAOPT,
	   INSERTED.IDTIPOOPT,
	   INSERTED.NRVELOCOPT,
	   INSERTED.IDTIPOIMPCHQ,
	   INSERTED.CDPORTACHQ,
	   INSERTED.NRVELOVCHQ,
	   INSERTED.NMMUNICIPCHQ,
	   INSERTED.NMNOMINALCHQ,
	   INSERTED.NMMOEDACORRS,
	   INSERTED.NMMOEDACORRP,
	   INSERTED.IDGERADEBUG,
	   INSERTED.IDHRVERAO,
	   INSERTED.IDSINCIMPFIS,
	   INSERTED.DSMSGINITOT,
	   INSERTED.DSMSGADITOT,
	   INSERTED.NRDIAINITOT,
	   INSERTED.NRDIAFINTOT,
	   INSERTED.NRSEGFECTOT,
	   INSERTED.IDEXIMSGSAL,
	   INSERTED.IDTIPEXTTOT,
	   INSERTED.IDSELLOJTOT,
	   INSERTED.IDINFCLIECAI,
	   INSERTED.IDUTILEITCON,
	   INSERTED.IDEXIMENDESC,
	   INSERTED.DTULTATUCAIX,
	   INSERTED.IDDIGCODPLM,
	   INSERTED.IDTPIMPPARC,
	   INSERTED.DSENDIPSITEF,
	   INSERTED.DSMSGCONTOT,
	   INSERTED.IDIMPREDZ,
	   INSERTED.CDTECLADO,
	   INSERTED.IDAUTOIMPTAB,
	   INSERTED.IDAUTOIMPVEN,
	   INSERTED.CDLOJATEF,
	   INSERTED.CDTERTEF,
	   INSERTED.IDCONSCHEQUE,
	   INSERTED.IDTRIBRELPRO,
	   INSERTED.CDIMPRESSORA,
	   INSERTED.DSDIRCAIXEXP,
	   INSERTED.DSCAIXATAB,
	   INSERTED.DSCAIXAVEN,
	   INSERTED.IDBLOQIDCART,
	   INSERTED.DSOBSCUPFIS,
	   INSERTED.IDINFVENBAL,
	   INSERTED.IDHABCAIXAVENDA,
	   INSERTED.IDIMPBARRCUP,
	   INSERTED.NMPADBARRCUP,
	   INSERTED.IDPERMCANCVND,
	   INSERTED.IDIMPLEITURAX,
	   INSERTED.IDTIPOIMPNF,
	   INSERTED.IDTIPOIMPNF,
	   INSERTED.CDPORTAIMPNF,
	   INSERTED.CDPORTAIMPNF,
	   INSERTED.IDTPVENDIMPNF1,
	   INSERTED.IDTPVENDIMPNF2,
	   INSERTED.CDIMPRESSORA,
	   INSERTED.IDSOLNUMDEPFC,
	   INSERTED.IDSOLICITACPF,
	   INSERTED.IDGRAVAMFD,
	   INSERTED.IDBAIXAPERIF,
	   INSERTED.IDINFREDZNCAD,
	   INSERTED.IDTIPOMICROTERM,
	   INSERTED.CDSETOR,
	   INSERTED.IDPAISINTEGRA,
	   INSERTED.CDPREFINTGCOL,
	   INSERTED.NRCUPINIINTGCOL,
	   INSERTED.NRCUPFININTGCOL,
	   INSERTED.DSRESOLINTGCOL,
	   INSERTED.IDPERCOMVENCPDC,
	   INSERTED.DSMENSCPFCUP,
	   INSERTED.IDLCDBARBALATOL,
	   INSERTED.NRPOSINICODBARR,
	   INSERTED.NRPOSFINCODBARR,
	   INSERTED.NRPOSINIQTCDBAR,
	   INSERTED.NRPOSFINQTCDBAR,
	   INSERTED.NRPOSINIVRCDBAR,
	   INSERTED.NRPOSFINVRCDBAR,
	   INSERTED.IDIMPCOMPDEBCON,
	   INSERTED.IDIMPCOMPCREDPE,
	   INSERTED.IDIMPCOMPCUPVEN,
	   INSERTED.IDGERAARQVNDRIO,
	   INSERTED.IDTPCONTRREPIQ,
	   INSERTED.IDPERABERCOMCXA,
	   INSERTED.NRDIASVENDAMSDE,
	   INSERTED.IDFREQLIMPVENDA,
	   INSERTED.NRDIASBXVNDMSDE,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
	   NULL,NULL,NULL,NULL,NULL,NULL
     FROM
           INSERTED
     WHERE     
           INSERTED.CDFILIAL + INSERTED.CDCAIXA NOT IN (SELECT CDFILIAL + CDCAIXA FROM DELETED)


     OPEN C_CURSOR;
     FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
				   @V_NEW_CDFILIAL,@V_NEW_CDCAIXA,@V_NEW_NMCAIXA,@V_NEW_CDLOJA,@V_NEW_CDALMOXARIFE,@V_NEW_CDLOCALESTOQ,@V_NEW_DSDIRFOTOPR,
				   @V_NEW_IDCONFVENDA,@V_NEW_IDGERANOTA,@V_NEW_IDPORTABAL,@V_NEW_IDPORTAIMP,@V_NEW_IDTIPOIMP,@V_NEW_IDTPTELAVE,
				   @V_NEW_IDVEPORTABAL,@V_NEW_TPEXTFOTOPR,@V_NEW_VRABERCAIX,@V_NEW_VRDIFCAIX,@V_NEW_IDENTRSAIDOP,@V_NEW_CDTIPOOPER,
				   @V_NEW_IDCAMPOPESQ,@V_NEW_IDINFOCONS,@V_NEW_IDCOLETOR,@V_NEW_CDCAIXACONT,@V_NEW_DSDIRIMPARQ,@V_NEW_DSDIRBACARQ,
				   @V_NEW_DSDIREXPARQ,@V_NEW_IDUTILTEF,@V_NEW_IDUTILCHEQ,@V_NEW_IDTIPINFCONS,@V_NEW_IDPERTROCAOP,@V_NEW_IDCAIXAFISCA,
				   @V_NEW_IDVERIFCOTA,@V_NEW_IDIMPVENDCON,@V_NEW_VRLIMSANGRIA,@V_NEW_IDEMIRECSANG,@V_NEW_IDEMIRELPROD,@V_NEW_IDTIPOCAIXA,
				   @V_NEW_CDFILICONFTE,@V_NEW_NRCONFTELA,@V_NEW_CDGRUPPROD,@V_NEW_CDPORTABAL,@V_NEW_IDTIPOBAL,@V_NEW_NRVELOCBAL,
				   @V_NEW_CDPORTAIMPFI,@V_NEW_IDTIPOIMPFI,@V_NEW_CDPORTACAT,@V_NEW_IDTIPOCAT,@V_NEW_NRCOLETCAT,@V_NEW_CDPORTAPROX,
				   @V_NEW_IDTIPOPROX,@V_NEW_NRVELOCPROX,@V_NEW_IDTIPOTECLAD,@V_NEW_IDTIPOGAVETA,@V_NEW_CDPORTADISP,@V_NEW_IDTIPODISP,
				   @V_NEW_CDPORTAOPT,@V_NEW_IDTIPOOPT,@V_NEW_NRVELOCOPT,@V_NEW_IDTIPOIMPCHQ,@V_NEW_CDPORTACHQ,@V_NEW_NRVELOVCHQ,
				   @V_NEW_NMMUNICIPCHQ,@V_NEW_NMNOMINALCHQ,@V_NEW_NMMOEDACORRS,@V_NEW_NMMOEDACORRP,@V_NEW_IDGERADEBUG,@V_NEW_IDHRVERAO,
				   @V_NEW_IDSINCIMPFIS,@V_NEW_DSMSGINITOT,@V_NEW_DSMSGADITOT,@V_NEW_NRDIAINITOT,@V_NEW_NRDIAFINTOT,@V_NEW_NRSEGFECTOT,
				   @V_NEW_IDEXIMSGSAL,@V_NEW_IDTIPEXTTOT,@V_NEW_IDSELLOJTOT,@V_NEW_IDINFCLIECAI,@V_NEW_IDUTILEITCON,@V_NEW_IDEXIMENDESC,
				   @V_NEW_DTULTATUCAIX,@V_NEW_IDDIGCODPLM,@V_NEW_IDTPIMPPARC,@V_NEW_DSENDIPSITEF,@V_NEW_DSMSGCONTOT,
				   @V_NEW_IDIMPREDZ,@V_NEW_CDTECLADO,@V_NEW_IDAUTOIMPTAB,@V_NEW_IDAUTOIMPVEN,@V_NEW_CDLOJATEF,@V_NEW_CDTERTEF,@V_NEW_IDCONSCHEQUE,
				   @V_NEW_IDTRIBRELPRO,@V_NEW_CDIMPRESSORA,@V_NEW_DSDIRCAIXEXP,@V_NEW_DSCAIXATAB,@V_NEW_DSCAIXAVEN,@V_NEW_IDBLOQIDCART,
				   @V_NEW_DSOBSCUPFIS,@V_NEW_IDINFVENBAL,@V_NEW_IDHABCAIXAVENDA,@V_NEW_IDIMPBARRCUP,@V_NEW_NMPADBARRCUP,@V_NEW_IDPERMCANCVND,
				   @V_NEW_IDIMPLEITURAX,@V_NEW_IDTIPOIMPNF,@V_NEW_IDTIPOIMPNF,@V_NEW_CDPORTAIMPNF,@V_NEW_CDPORTAIMPNF,@V_NEW_IDTPVENDIMPNF1,
				   @V_NEW_IDTPVENDIMPNF2,@V_NEW_CDIMPRESSORA,@V_NEW_IDSOLNUMDEPFC,@V_NEW_IDSOLICITACPF,@V_NEW_IDGRAVAMFD,@V_NEW_IDBAIXAPERIF,
				   @V_NEW_IDINFREDZNCAD,@V_NEW_IDTIPOMICROTERM,@V_NEW_CDSETOR,@V_NEW_IDPAISINTEGRA,@V_NEW_CDPREFINTGCOL,@V_NEW_NRCUPINIINTGCOL,
				   @V_NEW_NRCUPFININTGCOL,@V_NEW_DSRESOLINTGCOL,@V_NEW_IDPERCOMVENCPDC,@V_NEW_DSMENSCPFCUP,@V_NEW_IDLCDBARBALATOL,@V_NEW_NRPOSINICODBARR,
				   @V_NEW_NRPOSFINCODBARR,@V_NEW_NRPOSINIQTCDBAR,@V_NEW_NRPOSFINQTCDBAR,@V_NEW_NRPOSINIVRCDBAR,@V_NEW_NRPOSFINVRCDBAR,@V_NEW_IDIMPCOMPDEBCON,
				   @V_NEW_IDIMPCOMPCREDPE,@V_NEW_IDIMPCOMPCUPVEN,@V_NEW_IDGERAARQVNDRIO,@V_NEW_IDTPCONTRREPIQ,@V_NEW_IDPERABERCOMCXA,@V_NEW_NRDIASVENDAMSDE,
				   @V_NEW_IDFREQLIMPVENDA,@V_NEW_NRDIASBXVNDMSDE,

				   @V_OLD_CDFILIAL,@V_OLD_CDCAIXA,@V_OLD_NMCAIXA,@V_OLD_CDLOJA,@V_OLD_CDALMOXARIFE,@V_OLD_CDLOCALESTOQ,@V_OLD_DSDIRFOTOPR,
				   @V_OLD_IDCONFVENDA,@V_OLD_IDGERANOTA,@V_OLD_IDPORTABAL,@V_OLD_IDPORTAIMP,@V_OLD_IDTIPOIMP,@V_OLD_IDTPTELAVE,
				   @V_OLD_IDVEPORTABAL,@V_OLD_TPEXTFOTOPR,@V_OLD_VRABERCAIX,@V_OLD_VRDIFCAIX,@V_OLD_IDENTRSAIDOP,@V_OLD_CDTIPOOPER,
				   @V_OLD_IDCAMPOPESQ,@V_OLD_IDINFOCONS,@V_OLD_IDCOLETOR,@V_OLD_CDCAIXACONT,@V_OLD_DSDIRIMPARQ,@V_OLD_DSDIRBACARQ,
				   @V_OLD_DSDIREXPARQ,@V_OLD_IDUTILTEF,@V_OLD_IDUTILCHEQ,@V_OLD_IDTIPINFCONS,@V_OLD_IDPERTROCAOP,@V_OLD_IDCAIXAFISCA,
				   @V_OLD_IDVERIFCOTA,@V_OLD_IDIMPVENDCON,@V_OLD_VRLIMSANGRIA,@V_OLD_IDEMIRECSANG,@V_OLD_IDEMIRELPROD,@V_OLD_IDTIPOCAIXA,
				   @V_OLD_CDFILICONFTE,@V_OLD_NRCONFTELA,@V_OLD_CDGRUPPROD,@V_OLD_CDPORTABAL,@V_OLD_IDTIPOBAL,@V_OLD_NRVELOCBAL,
				   @V_OLD_CDPORTAIMPFI,@V_OLD_IDTIPOIMPFI,@V_OLD_CDPORTACAT,@V_OLD_IDTIPOCAT,@V_OLD_NRCOLETCAT,@V_OLD_CDPORTAPROX,
				   @V_OLD_IDTIPOPROX,@V_OLD_NRVELOCPROX,@V_OLD_IDTIPOTECLAD,@V_OLD_IDTIPOGAVETA,@V_OLD_CDPORTADISP,@V_OLD_IDTIPODISP,
				   @V_OLD_CDPORTAOPT,@V_OLD_IDTIPOOPT,@V_OLD_NRVELOCOPT,@V_OLD_IDTIPOIMPCHQ,@V_OLD_CDPORTACHQ,@V_OLD_NRVELOVCHQ,
				   @V_OLD_NMMUNICIPCHQ,@V_OLD_NMNOMINALCHQ,@V_OLD_NMMOEDACORRS,@V_OLD_NMMOEDACORRP,@V_OLD_IDGERADEBUG,@V_OLD_IDHRVERAO,
				   @V_OLD_IDSINCIMPFIS,@V_OLD_DSMSGINITOT,@V_OLD_DSMSGADITOT,@V_OLD_NRDIAINITOT,@V_OLD_NRDIAFINTOT,@V_OLD_NRSEGFECTOT,
				   @V_OLD_IDEXIMSGSAL,@V_OLD_IDTIPEXTTOT,@V_OLD_IDSELLOJTOT,@V_OLD_IDINFCLIECAI,@V_OLD_IDUTILEITCON,@V_OLD_IDEXIMENDESC,
				   @V_OLD_DTULTATUCAIX,@V_OLD_IDDIGCODPLM,@V_OLD_IDTPIMPPARC,@V_OLD_DSENDIPSITEF,@V_OLD_DSMSGCONTOT,
				   @V_OLD_IDIMPREDZ,@V_OLD_CDTECLADO,@V_OLD_IDAUTOIMPTAB,@V_OLD_IDAUTOIMPVEN,@V_OLD_CDLOJATEF,@V_OLD_CDTERTEF,@V_OLD_IDCONSCHEQUE,
				   @V_OLD_IDTRIBRELPRO,@V_OLD_CDIMPRESSORA,@V_OLD_DSDIRCAIXEXP,@V_OLD_DSCAIXATAB,@V_OLD_DSCAIXAVEN,@V_OLD_IDBLOQIDCART,
				   @V_OLD_DSOBSCUPFIS,@V_OLD_IDINFVENBAL,@V_OLD_IDHABCAIXAVENDA,@V_OLD_IDIMPBARRCUP,@V_OLD_NMPADBARRCUP,@V_OLD_IDPERMCANCVND,
				   @V_OLD_IDIMPLEITURAX,@V_OLD_IDTIPOIMPNF,@V_OLD_IDTIPOIMPNF,@V_OLD_CDPORTAIMPNF,@V_OLD_CDPORTAIMPNF,@V_OLD_IDTPVENDIMPNF1,
				   @V_OLD_IDTPVENDIMPNF2,@V_OLD_CDIMPRESSORA,@V_OLD_IDSOLNUMDEPFC,@V_OLD_IDSOLICITACPF,@V_OLD_IDGRAVAMFD,@V_OLD_IDBAIXAPERIF,
				   @V_OLD_IDINFREDZNCAD,@V_OLD_IDTIPOMICROTERM,@V_OLD_CDSETOR,@V_OLD_IDPAISINTEGRA,@V_OLD_CDPREFINTGCOL,@V_OLD_NRCUPINIINTGCOL,
				   @V_OLD_NRCUPFININTGCOL,@V_OLD_DSRESOLINTGCOL,@V_OLD_IDPERCOMVENCPDC,@V_OLD_DSMENSCPFCUP,@V_OLD_IDLCDBARBALATOL,@V_OLD_NRPOSINICODBARR,
				   @V_OLD_NRPOSFINCODBARR,@V_OLD_NRPOSINIQTCDBAR,@V_OLD_NRPOSFINQTCDBAR,@V_OLD_NRPOSINIVRCDBAR,@V_OLD_NRPOSFINVRCDBAR,@V_OLD_IDIMPCOMPDEBCON,
				   @V_OLD_IDIMPCOMPCREDPE,@V_OLD_IDIMPCOMPCUPVEN,@V_OLD_IDGERAARQVNDRIO,@V_OLD_IDTPCONTRREPIQ,@V_OLD_IDPERABERCOMCXA,@V_OLD_NRDIASVENDAMSDE,
				   @V_OLD_IDFREQLIMPVENDA,@V_OLD_NRDIASBXVNDMSDE

    WHILE (@@FETCH_STATUS = 0) BEGIN
    
       IF @V_ID_COMANDO= 'U' /*UPDATE*/ BEGIN
          IF ISNULL(@V_NEW_CDFILIAL ,'NULL') <> ISNULL(@V_OLD_CDFILIAL ,'NULL') BEGIN 
              SET @V_DESC = 'Filial ' + ISNULL(@V_NEW_CDFILIAL,'' );
          END;
          IF ISNULL(@V_NEW_CDCAIXA ,'NULL') <> ISNULL(@V_OLD_CDCAIXA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Caixa ' + ISNULL(@V_NEW_CDCAIXA,'' );
          END;
          IF ISNULL(@V_NEW_NMCAIXA ,'NULL') <> ISNULL(@V_OLD_NMCAIXA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Nm Caixa ' + ISNULL(@V_NEW_NMCAIXA,'' );
          END;
          IF ISNULL(@V_NEW_CDLOJA ,'NULL') <> ISNULL(@V_OLD_CDLOJA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Loja ' + ISNULL(@V_NEW_CDLOJA,'' );
          END;
          IF ISNULL(@V_NEW_CDALMOXARIFE ,'NULL') <> ISNULL(@V_OLD_CDALMOXARIFE ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDALMOXARIFE ' + ISNULL(@V_NEW_CDALMOXARIFE,'' );
          END;
          IF ISNULL(@V_NEW_CDLOCALESTOQ ,'NULL') <> ISNULL(@V_OLD_CDLOCALESTOQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDLOCALESTOQ ' + ISNULL(@V_NEW_CDLOCALESTOQ,'' );
          END;
          IF ISNULL(@V_NEW_DSDIRFOTOPR ,'NULL') <> ISNULL(@V_OLD_DSDIRFOTOPR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Ds Foto ' + ISNULL(@V_NEW_DSDIRFOTOPR,'' );
          END;
          IF ISNULL(@V_NEW_IDCONFVENDA ,'NULL') <> ISNULL(@V_OLD_IDCONFVENDA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' id Conf Venda ' + ISNULL(@V_NEW_IDCONFVENDA,'' );
          END;
          IF ISNULL(@V_NEW_IDGERANOTA  ,'NULL') <> ISNULL(@V_OLD_IDGERANOTA  ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Gera Nota ' + ISNULL(@V_NEW_IDGERANOTA ,'' );
          END;
          IF ISNULL(@V_NEW_IDPORTABAL ,'NULL') <> ISNULL(@V_OLD_IDPORTABAL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Bal ' + ISNULL(@V_NEW_IDPORTABAL,'' );
          END;
          IF ISNULL(@V_NEW_IDPORTAIMP ,'NULL') <> ISNULL(@V_OLD_IDPORTAIMP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp' + ISNULL(@V_NEW_IDPORTAIMP,'' );
          END;
          IF ISNULL(@V_NEW_IDTPTELAVE ,'NULL') <> ISNULL(@V_OLD_IDTPTELAVE ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Tela Venda ' + ISNULL(@V_NEW_IDTPTELAVE,'' );
          END;
          IF ISNULL(@V_NEW_IDVEPORTABAL ,'NULL') <> ISNULL(@V_OLD_IDVEPORTABAL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Port Bal ' + ISNULL(@V_NEW_IDVEPORTABAL,'' );
          END;
          IF ISNULL(@V_NEW_TPEXTFOTOPR ,'NULL') <> ISNULL(@V_OLD_TPEXTFOTOPR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Ext Foto ' + ISNULL(@V_NEW_TPEXTFOTOPR,'' );
          END;
          IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRABERCAIX) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRABERCAIX) ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vr Aber' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRABERCAIX),'' );
          END;
          IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRDIFCAIX) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRDIFCAIX) ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vr Dif Max ' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRDIFCAIX),'' );
          END;
          IF ISNULL(@V_NEW_IDENTRSAIDOP ,'NULL') <> ISNULL(@V_OLD_IDENTRSAIDOP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDENTRSAIDOP ' + ISNULL(@V_NEW_IDENTRSAIDOP,'' );
          END;
          IF ISNULL(@V_NEW_CDTIPOOPER ,'NULL') <> ISNULL(@V_OLD_CDTIPOOPER ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTIPOOPER ' + ISNULL(@V_NEW_CDTIPOOPER,'' );
          END;
          IF ISNULL(@V_NEW_IDCAMPOPESQ ,'NULL') <> ISNULL(@V_OLD_IDCAMPOPESQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Campo Pesq ' + ISNULL(@V_NEW_IDCAMPOPESQ,'' );
          END;
          IF ISNULL(@V_NEW_IDINFOCONS ,'NULL') <> ISNULL(@V_OLD_IDINFOCONS ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Info Cons ' + ISNULL(@V_NEW_IDINFOCONS,'' );
          END;
          IF ISNULL(@V_NEW_IDCOLETOR ,'NULL') <> ISNULL(@V_OLD_IDCOLETOR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Coletor ' + ISNULL(@V_NEW_IDCOLETOR,'' );
          END;
          IF ISNULL(@V_NEW_CDCAIXACONT ,'NULL') <> ISNULL(@V_OLD_CDCAIXACONT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCAIXACONT ' + ISNULL(@V_NEW_CDCAIXACONT,'' );
          END;
          IF ISNULL(@V_NEW_DSDIRIMPARQ ,'NULL') <> ISNULL(@V_OLD_DSDIRIMPARQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Imp ' + ISNULL(@V_NEW_DSDIRIMPARQ,'' );
          END;
          IF ISNULL(@V_NEW_DSDIRBACARQ ,'NULL') <> ISNULL(@V_OLD_DSDIRBACARQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Back ' + ISNULL(@V_NEW_DSDIRBACARQ,'' );
          END;
          IF ISNULL(@V_NEW_DSDIREXPARQ ,'NULL') <> ISNULL(@V_OLD_DSDIREXPARQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Exp ' + ISNULL(@V_NEW_DSDIREXPARQ,'' );
          END;
          IF ISNULL(@V_NEW_IDUTILTEF ,'NULL') <> ISNULL(@V_OLD_IDUTILTEF ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Uti Tef ' + ISNULL(@V_NEW_IDUTILTEF,'' );
          END;
          IF ISNULL(@V_NEW_IDUTILCHEQ ,'NULL') <> ISNULL(@V_OLD_IDUTILCHEQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Info Cheq ' + ISNULL(@V_NEW_IDUTILCHEQ,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPINFCONS ,'NULL') <> ISNULL(@V_OLD_IDTIPINFCONS ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Tp If  ' + ISNULL(@V_NEW_IDTIPINFCONS,'' );
          END;
          IF ISNULL(@V_NEW_IDPERTROCAOP ,'NULL') <> ISNULL(@V_OLD_IDPERTROCAOP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Perm Troca Oper ' + ISNULL(@V_NEW_IDPERTROCAOP,'' );
          END;
          IF ISNULL(@V_NEW_IDCAIXAFISCA ,'NULL') <> ISNULL(@V_OLD_IDCAIXAFISCA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Caixa Fis ' + ISNULL(@V_NEW_IDCAIXAFISCA,'' );
          END;
          IF ISNULL(@V_NEW_IDVERIFCOTA ,'NULL') <> ISNULL(@V_OLD_IDVERIFCOTA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Verif Cota' + ISNULL(@V_NEW_IDVERIFCOTA,'' );
          END;
          IF ISNULL(@V_NEW_IDIMPVENDCON ,'NULL') <> ISNULL(@V_OLD_IDIMPVENDCON ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Imp Vend ' + ISNULL(@V_NEW_IDIMPVENDCON,'' );
          END;
          IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRLIMSANGRIA) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRLIMSANGRIA) ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Lim Sangria ' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRLIMSANGRIA),'' );
          END;
          IF ISNULL(@V_NEW_IDEMIRECSANG ,'NULL') <> ISNULL(@V_OLD_IDEMIRECSANG ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Emi Rec Sang ' + ISNULL(@V_NEW_IDEMIRECSANG,'' );
          END;
          IF ISNULL(@V_NEW_IDEMIRELPROD ,'NULL') <> ISNULL(@V_OLD_IDEMIRELPROD ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Emi Rel Prod ' + ISNULL(@V_NEW_IDEMIRELPROD,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOCAIXA ,'NULL') <> ISNULL(@V_OLD_IDTIPOCAIXA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Caixa ' + ISNULL(@V_NEW_IDTIPOCAIXA,'' );
          END;
          IF ISNULL(@V_NEW_CDFILICONFTE ,'NULL') <> ISNULL(@V_OLD_CDFILICONFTE ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDFILICONFTE ' + ISNULL(@V_NEW_CDFILICONFTE,'' );
          END;
          IF ISNULL(@V_NEW_NRCONFTELA ,'NULL') <> ISNULL(@V_OLD_NRCONFTELA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRCONFTELA ' + ISNULL(@V_NEW_NRCONFTELA,'' );
          END;
          IF ISNULL(@V_NEW_CDGRUPPROD ,'NULL') <> ISNULL(@V_OLD_CDGRUPPROD ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDGRUPPROD ' + ISNULL(@V_NEW_CDGRUPPROD,'' );
          END;
          IF ISNULL(@V_NEW_CDPORTABAL ,'NULL') <> ISNULL(@V_OLD_CDPORTABAL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Bal ' + ISNULL(@V_NEW_CDPORTABAL,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOBAL ,'NULL') <> ISNULL(@V_OLD_IDTIPOBAL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' tp Bal ' + ISNULL(@V_NEW_IDTIPOBAL,'' );
          END;
          IF ISNULL(@V_NEW_NRVELOCBAL ,'NULL') <> ISNULL(@V_OLD_NRVELOCBAL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Bal ' + ISNULL(@V_NEW_NRVELOCBAL,'' );
          END;
          IF ISNULL(@V_NEW_CDPORTAIMPFI ,'NULL') <> ISNULL(@V_OLD_CDPORTAIMPFI ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Fis ' + ISNULL(@V_NEW_CDPORTAIMPFI,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOIMPFI ,'NULL') <> ISNULL(@V_OLD_IDTIPOIMPFI ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp Fis ' + ISNULL(@V_NEW_IDTIPOIMPFI,'' );
          END;
          IF ISNULL(@V_NEW_CDPORTACAT ,'NULL') <> ISNULL(@V_OLD_CDPORTACAT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Cat ' + ISNULL(@V_NEW_CDPORTACAT,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOCAT ,'NULL') <> ISNULL(@V_OLD_IDTIPOCAT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Cat ' + ISNULL(@V_NEW_IDTIPOCAT,'' );
          END;
          IF ISNULL(@V_NEW_NRCOLETCAT ,'NULL') <> ISNULL(@V_OLD_NRCOLETCAT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Colet Cat ' + ISNULL(@V_NEW_NRCOLETCAT,'' );
          END;
          IF ISNULL(@V_NEW_CDPORTAPROX ,'NULL') <> ISNULL(@V_OLD_CDPORTAPROX ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Prox ' + ISNULL(@V_NEW_CDPORTAPROX,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOPROX ,'NULL') <> ISNULL(@V_OLD_IDTIPOPROX ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Prox ' + ISNULL(@V_NEW_IDTIPOPROX,'' );
          END;
          IF ISNULL(@V_NEW_NRVELOCPROX ,'NULL') <> ISNULL(@V_OLD_NRVELOCPROX ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Prox ' + ISNULL(@V_NEW_NRVELOCPROX,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOTECLAD ,'NULL') <> ISNULL(@V_OLD_IDTIPOTECLAD ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Tec ' + ISNULL(@V_NEW_IDTIPOTECLAD,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOGAVETA ,'NULL') <> ISNULL(@V_OLD_IDTIPOGAVETA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Gav ' + ISNULL(@V_NEW_IDTIPOGAVETA,'' );
          END;
          IF ISNULL(@V_NEW_CDPORTADISP ,'NULL') <> ISNULL(@V_OLD_CDPORTADISP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Disp ' + ISNULL(@V_NEW_CDPORTADISP,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPODISP ,'NULL') <> ISNULL(@V_OLD_IDTIPODISP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Disp ' + ISNULL(@V_NEW_IDTIPODISP,'' );
          END;
          IF ISNULL(@V_NEW_CDPORTAOPT ,'NULL') <> ISNULL(@V_OLD_CDPORTAOPT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Opt ' + ISNULL(@V_NEW_CDPORTAOPT,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOOPT ,'NULL') <> ISNULL(@V_OLD_IDTIPOOPT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tipo Opt ' + ISNULL(@V_NEW_IDTIPOOPT,'' );
          END;
          IF ISNULL(@V_NEW_NRVELOCOPT ,'NULL') <> ISNULL(@V_OLD_NRVELOCOPT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Opt  ' + ISNULL(@V_NEW_NRVELOCOPT,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOIMPCHQ ,'NULL') <> ISNULL(@V_OLD_IDTIPOIMPCHQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp Chq ' + ISNULL(@V_NEW_IDTIPOIMPCHQ,'' );
          END;
          IF ISNULL(@V_NEW_CDPORTACHQ ,'NULL') <> ISNULL(@V_OLD_CDPORTACHQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Chq ' + ISNULL(@V_NEW_CDPORTACHQ,'' );
          END;
          IF ISNULL(@V_NEW_NRVELOVCHQ ,'NULL') <> ISNULL(@V_OLD_NRVELOVCHQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Imp Chq ' + ISNULL(@V_NEW_NRVELOVCHQ,'' );
          END;
          IF ISNULL(@V_NEW_NMMUNICIPCHQ ,'NULL') <> ISNULL(@V_OLD_NMMUNICIPCHQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Nm Municip Chq ' + ISNULL(@V_NEW_NMMUNICIPCHQ,'' );
          END;
          IF ISNULL(@V_NEW_NMNOMINALCHQ ,'NULL') <> ISNULL(@V_OLD_NMNOMINALCHQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Nm Favorecido Chq ' + ISNULL(@V_NEW_NMNOMINALCHQ,'' );
          END;
          IF ISNULL(@V_NEW_NMMOEDACORRS ,'NULL') <> ISNULL(@V_OLD_NMMOEDACORRS ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Moeda Corr S ' + ISNULL(@V_NEW_NMMOEDACORRS,'' );
          END;
          IF ISNULL(@V_NEW_NMMOEDACORRP ,'NULL') <> ISNULL(@V_OLD_NMMOEDACORRP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Moeda Corr P ' + ISNULL(@V_NEW_NMMOEDACORRP,'' );
          END;
          IF ISNULL(@V_NEW_IDGERADEBUG ,'NULL') <> ISNULL(@V_OLD_IDGERADEBUG ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Gera Debug ' + ISNULL(@V_NEW_IDGERADEBUG,'' );
          END;
          IF ISNULL(@V_NEW_IDHRVERAO ,'NULL') <> ISNULL(@V_OLD_IDHRVERAO ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Hr Verao ' + ISNULL(@V_NEW_IDHRVERAO,'' );
          END;
          IF ISNULL(@V_NEW_IDSINCIMPFIS ,'NULL') <> ISNULL(@V_OLD_IDSINCIMPFIS ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Sin Imp Fis ' + ISNULL(@V_NEW_IDSINCIMPFIS,'' );
          END;
          IF ISNULL(@V_NEW_DSMSGINITOT ,'NULL') <> ISNULL(@V_OLD_DSMSGINITOT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Msg Ini Tot ' + ISNULL(@V_NEW_DSMSGINITOT,'' );
          END;
          IF ISNULL(@V_NEW_DSMSGADITOT ,'NULL') <> ISNULL(@V_OLD_DSMSGADITOT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Msg Adi Tot ' + ISNULL(@V_NEW_DSMSGADITOT,'' );
          END;
          IF ISNULL(@V_NEW_NRDIAINITOT ,'NULL') <> ISNULL(@V_OLD_NRDIAINITOT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dia Ini Tot ' + ISNULL(@V_NEW_NRDIAINITOT,'' );
          END;
          IF ISNULL(@V_NEW_NRDIAFINTOT ,'NULL') <> ISNULL(@V_OLD_NRDIAFINTOT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dia Fim Tot ' + ISNULL(@V_NEW_NRDIAFINTOT,'' );
          END;
          IF ISNULL(@V_NEW_NRSEGFECTOT ,'NULL') <> ISNULL(@V_OLD_NRSEGFECTOT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Seg Fec Tot ' + ISNULL(@V_NEW_NRSEGFECTOT,'' );
          END;
          IF ISNULL(@V_NEW_IDEXIMSGSAL ,'NULL') <> ISNULL(@V_OLD_IDEXIMSGSAL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Exi Msg Sal ' + ISNULL(@V_NEW_IDEXIMSGSAL,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPEXTTOT ,'NULL') <> ISNULL(@V_OLD_IDTIPEXTTOT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Ext Tot ' + ISNULL(@V_NEW_IDTIPEXTTOT,'' );
          END;
          IF ISNULL(@V_NEW_IDSELLOJTOT ,'NULL') <> ISNULL(@V_OLD_IDSELLOJTOT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Sel Loj Tot ' + ISNULL(@V_NEW_IDSELLOJTOT,'' );
          END;
          IF ISNULL(@V_NEW_IDINFCLIECAI ,'NULL') <> ISNULL(@V_OLD_IDINFCLIECAI ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Inf Cli Tot ' + ISNULL(@V_NEW_IDINFCLIECAI,'' );
          END;
          IF ISNULL(@V_NEW_IDUTILEITCON ,'NULL') <> ISNULL(@V_OLD_IDUTILEITCON ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Pesq Cons ' + ISNULL(@V_NEW_IDUTILEITCON,'' );
          END;
          IF ISNULL(@V_NEW_IDEXIMENDESC ,'NULL') <> ISNULL(@V_OLD_IDEXIMENDESC ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Exi Msg Desc ' + ISNULL(@V_NEW_IDEXIMENDESC,'' );
          END;
          IF ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUCAIX) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_DTULTATUCAIX) ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Ult Atu Cx ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUCAIX),'' );
          END;
          IF ISNULL(@V_NEW_IDDIGCODPLM ,'NULL') <> ISNULL(@V_OLD_IDDIGCODPLM ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dig Cd Plm ' + ISNULL(@V_NEW_IDDIGCODPLM,'' );
          END;
          IF ISNULL(@V_NEW_IDTPIMPPARC ,'NULL') <> ISNULL(@V_OLD_IDTPIMPPARC ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp Parc ' + ISNULL(@V_NEW_IDTPIMPPARC,'' );
          END;
          IF ISNULL(@V_NEW_DSENDIPSITEF ,'NULL') <> ISNULL(@V_OLD_DSENDIPSITEF ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' End Ip Tef ' + ISNULL(@V_NEW_DSENDIPSITEF,'' );
          END;
          IF ISNULL(@V_NEW_DSMSGCONTOT ,'NULL') <> ISNULL(@V_OLD_DSMSGCONTOT ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Msg Con Tot ' + ISNULL(@V_NEW_DSMSGCONTOT,'' );
          END;
          IF ISNULL(@V_NEW_IDIMPREDZ ,'NULL') <> ISNULL(@V_OLD_IDIMPREDZ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Imp Red Z ' + ISNULL(@V_NEW_IDIMPREDZ,'' );
          END;
          IF ISNULL(@V_NEW_CDTECLADO ,'NULL') <> ISNULL(@V_OLD_CDTECLADO ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Tecl ' + ISNULL(@V_NEW_CDTECLADO,'' );
          END;
          IF ISNULL(@V_NEW_IDAUTOIMPTAB ,'NULL') <> ISNULL(@V_OLD_IDAUTOIMPTAB ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Auto Imp Tab ' + ISNULL(@V_NEW_IDAUTOIMPTAB,'' );
          END;
          IF ISNULL(@V_NEW_IDAUTOIMPVEN ,'NULL') <> ISNULL(@V_OLD_IDAUTOIMPVEN ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Auto Imp Ven ' + ISNULL(@V_NEW_IDAUTOIMPVEN,'' );
          END;
          IF ISNULL(@V_NEW_CDLOJATEF ,'NULL') <> ISNULL(@V_OLD_CDLOJATEF ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Lj Tef ' + ISNULL(@V_NEW_CDLOJATEF,'' );
          END;
          IF ISNULL(@V_NEW_CDTERTEF ,'NULL') <> ISNULL(@V_OLD_CDTERTEF ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Ter Tef ' + ISNULL(@V_NEW_CDTERTEF,'' );
          END;
          IF ISNULL(@V_NEW_IDTRIBRELPRO ,'NULL') <> ISNULL(@V_OLD_IDTRIBRELPRO ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Trib Rel Pro ' + ISNULL(@V_NEW_IDTRIBRELPRO,'' );
          END;
          IF ISNULL(@V_NEW_CDIMPRESSORA ,'NULL') <> ISNULL(@V_OLD_CDIMPRESSORA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Impressora ' + ISNULL(@V_NEW_CDIMPRESSORA,'' );
          END;
          IF ISNULL(@V_NEW_DSDIRCAIXEXP ,'NULL') <> ISNULL(@V_OLD_DSDIRCAIXEXP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Cxa Exp ' + ISNULL(@V_NEW_DSDIRCAIXEXP,'' );
          END;
          IF ISNULL(@V_NEW_DSCAIXATAB ,'NULL') <> ISNULL(@V_OLD_DSCAIXATAB ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cxa Tab ' + ISNULL(@V_NEW_DSCAIXATAB,'' );
          END;
          IF ISNULL(@V_NEW_DSCAIXAVEN ,'NULL') <> ISNULL(@V_OLD_DSCAIXAVEN ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cxa Ven ' + ISNULL(@V_NEW_DSCAIXAVEN,'' );
          END;
          IF ISNULL(@V_NEW_IDBLOQIDCART ,'NULL') <> ISNULL(@V_OLD_IDBLOQIDCART ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Bloq Id Cart ' + ISNULL(@V_NEW_IDBLOQIDCART,'' );
          END;
          IF ISNULL(@V_NEW_DSOBSCUPFIS ,'NULL') <> ISNULL(@V_OLD_DSOBSCUPFIS ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Obs Cup Fis ' + ISNULL(@V_NEW_DSOBSCUPFIS,'' );
          END;
          IF ISNULL(@V_NEW_IDINFVENBAL ,'NULL') <> ISNULL(@V_OLD_IDINFVENBAL ,'NULL') BEGIN 
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Inf Ven Bal ' + ISNULL(@V_NEW_IDINFVENBAL,'' );
          END;
          IF ISNULL(@V_NEW_IDHABCAIXAVENDA ,'NULL') <> ISNULL(@V_OLD_IDHABCAIXAVENDA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Hab Cx Venda ' + ISNULL(@V_NEW_IDHABCAIXAVENDA,'' );
          END;
          IF ISNULL(@V_NEW_IDIMPBARRCUP ,'NULL') <> ISNULL(@V_OLD_IDIMPBARRCUP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Imp Barr Cup ' + ISNULL(@V_NEW_IDIMPBARRCUP,'' );
          END;
          IF ISNULL(@V_NEW_NMPADBARRCUP ,'NULL') <> ISNULL(@V_OLD_NMPADBARRCUP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Pad Barr Cup ' + ISNULL(@V_NEW_NMPADBARRCUP,'' );
          END;
          IF ISNULL(@V_NEW_IDPERMCANCVND ,'NULL') <> ISNULL(@V_OLD_IDPERMCANCVND ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Perm Canc Vnd ' + ISNULL(@V_NEW_IDPERMCANCVND,'' );
          END;
          IF ISNULL(@V_NEW_IDIMPLEITURAX ,'NULL') <> ISNULL(@V_OLD_IDIMPLEITURAX ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Imp Leit X ' + ISNULL(@V_NEW_IDIMPLEITURAX,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOIMPNF ,'NULL') <> ISNULL(@V_OLD_IDTIPOIMPNF ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp NF ' + ISNULL(@V_NEW_IDTIPOIMPNF,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOIMPNF2 ,'NULL') <> ISNULL(@V_OLD_IDTIPOIMPNF2 ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp NF2 ' + ISNULL(@V_NEW_IDTIPOIMPNF2,'' );
          END;
          IF ISNULL(@V_NEW_CDPORTAIMPNF ,'NULL') <> ISNULL(@V_OLD_CDPORTAIMPNF ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Nf ' + ISNULL(@V_NEW_CDPORTAIMPNF,'' );
          END;
          IF ISNULL(@V_NEW_CDPORTAIMPNF2 ,'NULL') <> ISNULL(@V_OLD_CDPORTAIMPNF2 ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Nf2 ' + ISNULL(@V_NEW_CDPORTAIMPNF2,'' );
          END;
          IF ISNULL(@V_NEW_IDTPVENDIMPNF1 ,'NULL') <> ISNULL(@V_OLD_IDTPVENDIMPNF1 ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Vend ImpNf ' + ISNULL(@V_NEW_IDTPVENDIMPNF1,'' );
          END;
          IF ISNULL(@V_NEW_IDTPVENDIMPNF2 ,'NULL') <> ISNULL(@V_OLD_IDTPVENDIMPNF2 ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Vend Imp Nf2 ' + ISNULL(@V_NEW_IDTPVENDIMPNF2,'' );
          END;
          IF ISNULL(@V_NEW_CDIMPRESSORA2 ,'NULL') <> ISNULL(@V_OLD_CDIMPRESSORA2 ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CD IMP2 ' + ISNULL(@V_NEW_CDIMPRESSORA2,'' );
          END;
          IF ISNULL(@V_NEW_IDSOLNUMDEPFC ,'NULL') <> ISNULL(@V_OLD_IDSOLNUMDEPFC ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Sol Num Dep ' + ISNULL(@V_NEW_IDSOLNUMDEPFC,'' );
          END;
          IF ISNULL(@V_NEW_IDSOLICITACPF ,'NULL') <> ISNULL(@V_OLD_IDSOLICITACPF ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Sol CPF ' + ISNULL(@V_NEW_IDSOLICITACPF,'' );
          END;
          IF ISNULL(@V_NEW_IDGRAVAMFD ,'NULL') <> ISNULL(@V_OLD_IDGRAVAMFD ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Grava MFD ' + ISNULL(@V_NEW_IDGRAVAMFD,'' );
          END;
          IF ISNULL(@V_NEW_IDBAIXAPERIF ,'NULL') <> ISNULL(@V_OLD_IDBAIXAPERIF ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' BaixaPerif ' + ISNULL(@V_NEW_IDBAIXAPERIF,'' );
          END;
          IF ISNULL(@V_NEW_IDINFREDZNCAD ,'NULL') <> ISNULL(@V_OLD_IDINFREDZNCAD ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Inf RedZ NCad ' + ISNULL(@V_NEW_IDINFREDZNCAD,'' );
          END;
          IF ISNULL(@V_NEW_IDTIPOMICROTERM  ,'NULL') <> ISNULL(@V_OLD_IDTIPOMICROTERM  ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Micro Term ' + ISNULL(@V_NEW_IDTIPOMICROTERM ,'' );
          END;
          IF ISNULL(@V_NEW_CDSETOR ,'NULL') <> ISNULL(@V_OLD_CDSETOR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Setor ' + ISNULL(@V_NEW_CDSETOR,'' );
          END;
          IF ISNULL(@V_NEW_IDPAISINTEGRA ,'NULL') <> ISNULL(@V_OLD_IDPAISINTEGRA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Pais Sintegra ' + ISNULL(@V_NEW_IDPAISINTEGRA,'' );
          END;
          IF ISNULL(@V_NEW_CDPREFINTGCOL ,'NULL') <> ISNULL(@V_OLD_CDPREFINTGCOL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Pref Intg Col ' + ISNULL(@V_NEW_CDPREFINTGCOL,'' );
          END;
          IF ISNULL(@V_NEW_NRCUPINIINTGCOL ,'NULL') <> ISNULL(@V_OLD_NRCUPINIINTGCOL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cup Ini Intg Col ' + ISNULL(@V_NEW_NRCUPINIINTGCOL,'' );
          END;
          IF ISNULL(@V_NEW_NRCUPFININTGCOL ,'NULL') <> ISNULL(@V_OLD_NRCUPFININTGCOL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cup Fim Intg Col ' + ISNULL(@V_NEW_NRCUPFININTGCOL,'' );
          END;
          IF ISNULL(@V_NEW_DSRESOLINTGCOL ,'NULL') <> ISNULL(@V_OLD_DSRESOLINTGCOL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' DSRESOLINTGCOL ' + ISNULL(@V_NEW_DSRESOLINTGCOL,'' );
          END;
          IF ISNULL(@V_NEW_IDPERCOMVENCPDC ,'NULL') <> ISNULL(@V_OLD_IDPERCOMVENCPDC ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERCOMVENCPDC ' + ISNULL(@V_NEW_IDPERCOMVENCPDC,'' );
          END;
          IF ISNULL(@V_NEW_DSMENSCPFCUP ,'NULL') <> ISNULL(@V_OLD_DSMENSCPFCUP ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' DSMENSCPFCUP ' + ISNULL(@V_NEW_DSMENSCPFCUP,'' );
          END;
          IF ISNULL(@V_NEW_IDLCDBARBALATOL ,'NULL') <> ISNULL(@V_OLD_IDLCDBARBALATOL ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDLCDBARBALATOL ' + ISNULL(@V_NEW_IDLCDBARBALATOL,'' );
          END;
          IF ISNULL(@V_NEW_NRPOSINICODBARR ,'NULL') <> ISNULL(@V_OLD_NRPOSINICODBARR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINICODBARR ' + ISNULL(@V_NEW_NRPOSINICODBARR,'' );
          END;
          IF ISNULL(@V_NEW_NRPOSFINCODBARR ,'NULL') <> ISNULL(@V_OLD_NRPOSFINCODBARR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINCODBARR ' + ISNULL(@V_NEW_NRPOSFINCODBARR,'' );
          END;
          IF ISNULL(@V_NEW_NRPOSINIQTCDBAR ,'NULL') <> ISNULL(@V_OLD_NRPOSINIQTCDBAR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINIQTCDBAR ' + ISNULL(@V_NEW_NRPOSINIQTCDBAR,'' );
          END;
          IF ISNULL(@V_NEW_NRPOSFINQTCDBAR ,'NULL') <> ISNULL(@V_OLD_NRPOSFINQTCDBAR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINQTCDBAR ' + ISNULL(@V_NEW_NRPOSFINQTCDBAR,'' );
          END;
          IF ISNULL(@V_NEW_NRPOSINIVRCDBAR ,'NULL') <> ISNULL(@V_OLD_NRPOSINIVRCDBAR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINIVRCDBAR ' + ISNULL(@V_NEW_NRPOSINIVRCDBAR,'' );
          END;
          IF ISNULL(@V_NEW_NRPOSFINVRCDBAR ,'NULL') <> ISNULL(@V_OLD_NRPOSFINVRCDBAR ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINVRCDBAR ' + ISNULL(@V_NEW_NRPOSFINVRCDBAR,'' );
          END;
          IF ISNULL(@V_NEW_IDIMPCOMPDEBCON ,'NULL') <> ISNULL(@V_OLD_IDIMPCOMPDEBCON ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCOMPDEBCON ' + ISNULL(@V_NEW_IDIMPCOMPDEBCON,'' );
          END;
          IF ISNULL(@V_NEW_IDIMPCOMPCREDPE ,'NULL') <> ISNULL(@V_OLD_IDIMPCOMPCREDPE ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCOMPCREDPE ' + ISNULL(@V_NEW_IDIMPCOMPCREDPE,'' );
          END;
          IF ISNULL(@V_NEW_IDIMPCOMPCUPVEN ,'NULL') <> ISNULL(@V_OLD_IDIMPCOMPCUPVEN ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCOMPCUPVEN ' + ISNULL(@V_NEW_IDIMPCOMPCUPVEN,'' );
          END;
          IF ISNULL(@V_NEW_IDGERAARQVNDRIO ,'NULL') <> ISNULL(@V_OLD_IDGERAARQVNDRIO ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDGERAARQVNDRIO ' + ISNULL(@V_NEW_IDGERAARQVNDRIO,'' );
          END;
          IF ISNULL(@V_NEW_IDTPCONTRREPIQ ,'NULL') <> ISNULL(@V_OLD_IDTPCONTRREPIQ ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDTPCONTRREPIQ ' + ISNULL(@V_NEW_IDTPCONTRREPIQ,'' );
          END;
          IF ISNULL(@V_NEW_IDPERABERCOMCXA ,'NULL') <> ISNULL(@V_OLD_IDPERABERCOMCXA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERABERCOMCXA ' + ISNULL(@V_NEW_IDPERABERCOMCXA,'' );
          END;
          IF ISNULL(@V_NEW_NRDIASVENDAMSDE ,'NULL') <> ISNULL(@V_OLD_NRDIASVENDAMSDE ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASVENDAMSDE ' + ISNULL(@V_NEW_NRDIASVENDAMSDE,'' );
          END;
          IF ISNULL(@V_NEW_IDFREQLIMPVENDA ,'NULL') <> ISNULL(@V_OLD_IDFREQLIMPVENDA ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDFREQLIMPVENDA ' + ISNULL(@V_NEW_IDFREQLIMPVENDA,'' );
          END;
          IF ISNULL(@V_NEW_NRDIASBXVNDMSDE ,'NULL') <> ISNULL(@V_OLD_NRDIASBXVNDMSDE ,'NULL') BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASBXVNDMSDE ' + ISNULL(@V_NEW_NRDIASBXVNDMSDE,'' );
          END;
          SET @V_IDTIPOOPER = '2';
       END;
       IF @V_ID_COMANDO= 'I' /*INSERO*/ BEGIN
              IF @V_NEW_CDFILIAL IS NOT NULL BEGIN 
              SET @V_DESC = 'Filial ' + ISNULL(@V_NEW_CDFILIAL,'' );
          END;
          IF @V_NEW_CDCAIXA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Caixa ' + ISNULL(@V_NEW_CDCAIXA,'' );
          END;
          IF @V_NEW_NMCAIXA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Nm Caixa ' + ISNULL(@V_NEW_NMCAIXA,'' );
          END;
          IF @V_NEW_CDLOJA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Loja ' + ISNULL(@V_NEW_CDLOJA,'' );
          END;
          IF @V_NEW_CDALMOXARIFE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDALMOXARIFE ' + ISNULL(@V_NEW_CDALMOXARIFE,'' );
          END;
          IF @V_NEW_CDLOCALESTOQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDLOCALESTOQ ' + ISNULL(@V_NEW_CDLOCALESTOQ,'' );
          END;
          IF @V_NEW_DSDIRFOTOPR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Ds Foto ' + ISNULL(@V_NEW_DSDIRFOTOPR,'' );
          END;
          IF @V_NEW_IDCONFVENDA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' id Conf Venda ' + ISNULL(@V_NEW_IDCONFVENDA,'' );
          END;
          IF @V_NEW_IDGERANOTA  IS NOT NULL  BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Gera Nota ' + ISNULL(@V_NEW_IDGERANOTA ,'' );
          END;
          IF @V_NEW_IDPORTABAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Bal ' + ISNULL(@V_NEW_IDPORTABAL,'' );
          END;
          IF @V_NEW_IDPORTAIMP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp' + ISNULL(@V_NEW_IDPORTAIMP,'' );
          END;
          IF @V_NEW_IDTPTELAVE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Tela Venda ' + ISNULL(@V_NEW_IDTPTELAVE,'' );
          END;
          IF @V_NEW_IDVEPORTABAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Port Bal ' + ISNULL(@V_NEW_IDVEPORTABAL,'' );
          END;
          IF @V_NEW_TPEXTFOTOPR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Ext Foto ' + ISNULL(@V_NEW_TPEXTFOTOPR,'' );
          END;
          IF @V_NEW_VRABERCAIX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vr Aber' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRABERCAIX),'');
          END;
          IF @V_NEW_VRDIFCAIX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vr Dif Max ' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRDIFCAIX),'');
          END;
          IF @V_NEW_IDENTRSAIDOP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDENTRSAIDOP ' + ISNULL(@V_NEW_IDENTRSAIDOP,'' );
          END;
          IF @V_NEW_CDTIPOOPER IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTIPOOPER ' + ISNULL(@V_NEW_CDTIPOOPER,'' );
          END;
          IF @V_NEW_IDCAMPOPESQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Campo Pesq ' + ISNULL(@V_NEW_IDCAMPOPESQ,'' );
          END;
          IF @V_NEW_IDINFOCONS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Info Cons ' + ISNULL(@V_NEW_IDINFOCONS,'' );
          END;
          IF @V_NEW_IDCOLETOR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Coletor ' + ISNULL(@V_NEW_IDCOLETOR,'' );
          END;
          IF @V_NEW_CDCAIXACONT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCAIXACONT ' + ISNULL(@V_NEW_CDCAIXACONT,'' );
          END;
          IF @V_NEW_DSDIRIMPARQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Imp ' + ISNULL(@V_NEW_DSDIRIMPARQ,'' );
          END;
          IF @V_NEW_DSDIRBACARQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Back ' + ISNULL(@V_NEW_DSDIRBACARQ,'' );
          END;
          IF @V_NEW_DSDIREXPARQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Exp ' + ISNULL(@V_NEW_DSDIREXPARQ,'' );
          END;
          IF @V_NEW_IDUTILTEF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Uti Tef ' + ISNULL(@V_NEW_IDUTILTEF,'' );
          END;
          IF @V_NEW_IDUTILCHEQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Info Cheq ' + ISNULL(@V_NEW_IDUTILCHEQ,'' );
          END;
          IF @V_NEW_IDTIPINFCONS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Tp If  ' + ISNULL(@V_NEW_IDTIPINFCONS,'' );
          END;
          IF @V_NEW_IDPERTROCAOP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Perm Troca Oper ' + ISNULL(@V_NEW_IDPERTROCAOP,'' );
          END;
          IF @V_NEW_IDCAIXAFISCA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Caixa Fis ' + ISNULL(@V_NEW_IDCAIXAFISCA,'' );
          END;
          IF @V_NEW_IDVERIFCOTA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Verif Cota' + ISNULL(@V_NEW_IDVERIFCOTA,'' );
          END;
          IF @V_NEW_IDIMPVENDCON IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Imp Vend ' + ISNULL(@V_NEW_IDIMPVENDCON,'' );
          END;
          IF @V_NEW_VRLIMSANGRIA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Lim Sangria ' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRLIMSANGRIA),'');	
          END;
          IF @V_NEW_IDEMIRECSANG IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Emi Rec Sang ' + ISNULL(@V_NEW_IDEMIRECSANG,'' );
          END;
          IF @V_NEW_IDEMIRELPROD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Emi Rel Prod ' + ISNULL(@V_NEW_IDEMIRELPROD,'' );
          END;
          IF @V_NEW_IDTIPOCAIXA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Caixa ' + ISNULL(@V_NEW_IDTIPOCAIXA,'' );
          END;
          IF @V_NEW_CDFILICONFTE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDFILICONFTE ' + ISNULL(@V_NEW_CDFILICONFTE,'' );
          END;
          IF @V_NEW_NRCONFTELA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRCONFTELA ' + ISNULL(@V_NEW_NRCONFTELA,'' );
          END;
          IF @V_NEW_CDGRUPPROD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDGRUPPROD ' + ISNULL(@V_NEW_CDGRUPPROD,'' );
          END;
          IF @V_NEW_CDPORTABAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Bal ' + ISNULL(@V_NEW_CDPORTABAL,'' );
          END;
          IF @V_NEW_IDTIPOBAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' tp Bal ' + ISNULL(@V_NEW_IDTIPOBAL,'' );
          END;
          IF @V_NEW_NRVELOCBAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Bal ' + ISNULL(@V_NEW_NRVELOCBAL,'' );
          END;
          IF @V_NEW_CDPORTAIMPFI IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Fis ' + ISNULL(@V_NEW_CDPORTAIMPFI,'' );
          END;
          IF @V_NEW_IDTIPOIMPFI IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp Fis ' + ISNULL(@V_NEW_IDTIPOIMPFI,'' );
          END;
          IF @V_NEW_CDPORTACAT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Cat ' + ISNULL(@V_NEW_CDPORTACAT,'' );
          END;
          IF @V_NEW_IDTIPOCAT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Cat ' + ISNULL(@V_NEW_IDTIPOCAT,'' );
          END;
          IF @V_NEW_NRCOLETCAT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Colet Cat ' + ISNULL(@V_NEW_NRCOLETCAT,'' );
          END;
          IF @V_NEW_CDPORTAPROX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Prox ' + ISNULL(@V_NEW_CDPORTAPROX,'' );
          END;
          IF @V_NEW_IDTIPOPROX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Prox ' + ISNULL(@V_NEW_IDTIPOPROX,'' );
          END;
          IF @V_NEW_NRVELOCPROX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Prox ' + ISNULL(@V_NEW_NRVELOCPROX,'' );
          END;
          IF @V_NEW_IDTIPOTECLAD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Tec ' + ISNULL(@V_NEW_IDTIPOTECLAD,'' );
          END;
          IF @V_NEW_IDTIPOGAVETA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Gav ' + ISNULL(@V_NEW_IDTIPOGAVETA,'' );
          END;
          IF @V_NEW_CDPORTADISP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Disp ' + ISNULL(@V_NEW_CDPORTADISP,'' );
          END;
          IF @V_NEW_IDTIPODISP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Disp ' + ISNULL(@V_NEW_IDTIPODISP,'' );
          END;
          IF @V_NEW_CDPORTAOPT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Opt ' + ISNULL(@V_NEW_CDPORTAOPT,'' );
          END;
          IF @V_NEW_IDTIPOOPT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tipo Opt ' + ISNULL(@V_NEW_IDTIPOOPT,'' );
          END;
          IF @V_NEW_NRVELOCOPT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Opt  ' + ISNULL(@V_NEW_NRVELOCOPT,'' );
          END;
          IF @V_NEW_IDTIPOIMPCHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp Chq ' + ISNULL(@V_NEW_IDTIPOIMPCHQ,'' );
          END;
          IF @V_NEW_CDPORTACHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Chq ' + ISNULL(@V_NEW_CDPORTACHQ,'' );
          END;
          IF @V_NEW_NRVELOVCHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Imp Chq ' + ISNULL(@V_NEW_NRVELOVCHQ,'' );
          END;
          IF @V_NEW_NMMUNICIPCHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Nm Municip Chq ' + ISNULL(@V_NEW_NMMUNICIPCHQ,'' );
          END;
          IF @V_NEW_NMNOMINALCHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Nm Favorecido Chq ' + ISNULL(@V_NEW_NMNOMINALCHQ,'' );
          END;
          IF @V_NEW_NMMOEDACORRS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Moeda Corr S ' + ISNULL(@V_NEW_NMMOEDACORRS,'' );
          END;
          IF @V_NEW_NMMOEDACORRP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Moeda Corr P ' + ISNULL(@V_NEW_NMMOEDACORRP,'' );
          END;
          IF @V_NEW_IDGERADEBUG IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Gera Debug ' + ISNULL(@V_NEW_IDGERADEBUG,'' );
          END;
          IF @V_NEW_IDHRVERAO IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Hr Verao ' + ISNULL(@V_NEW_IDHRVERAO,'' );
          END;
          IF @V_NEW_IDSINCIMPFIS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Sin Imp Fis ' + ISNULL(@V_NEW_IDSINCIMPFIS,'' );
          END;
          IF @V_NEW_DSMSGINITOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Msg Ini Tot ' + ISNULL(@V_NEW_DSMSGINITOT,'' );
          END;
          IF @V_NEW_DSMSGADITOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Msg Adi Tot ' + ISNULL(@V_NEW_DSMSGADITOT,'' );
          END;
          IF @V_NEW_NRDIAINITOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dia Ini Tot ' + ISNULL(@V_NEW_NRDIAINITOT,'' );
          END;
          IF @V_NEW_NRDIAFINTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dia Fim Tot ' + ISNULL(@V_NEW_NRDIAFINTOT,'' );
          END;
          IF @V_NEW_NRSEGFECTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Seg Fec Tot ' + ISNULL(@V_NEW_NRSEGFECTOT,'' );
          END;
          IF @V_NEW_IDEXIMSGSAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Exi Msg Sal ' + ISNULL(@V_NEW_IDEXIMSGSAL,'' );
          END;
          IF @V_NEW_IDTIPEXTTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Ext Tot ' + ISNULL(@V_NEW_IDTIPEXTTOT,'' );
          END;
          IF @V_NEW_IDSELLOJTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Sel Loj Tot ' + ISNULL(@V_NEW_IDSELLOJTOT,'' );
          END;
          IF @V_NEW_IDINFCLIECAI IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Inf Cli Tot ' + ISNULL(@V_NEW_IDINFCLIECAI,'' );
          END;
          IF @V_NEW_IDUTILEITCON IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Pesq Cons ' + ISNULL(@V_NEW_IDUTILEITCON,'' );
          END;
          IF @V_NEW_IDEXIMENDESC IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Exi Msg Desc ' + ISNULL(@V_NEW_IDEXIMENDESC,'' );
          END;
          IF @V_NEW_DTULTATUCAIX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Ult Atu Cx ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUCAIX),'');
          END;
          IF @V_NEW_IDDIGCODPLM IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dig Cd Plm ' + ISNULL(@V_NEW_IDDIGCODPLM,'' );
          END;
          IF @V_NEW_IDTPIMPPARC IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp Parc ' + ISNULL(@V_NEW_IDTPIMPPARC,'' );
          END;
          IF @V_NEW_DSENDIPSITEF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' End Ip Tef ' + ISNULL(@V_NEW_DSENDIPSITEF,'' );
          END;
          IF @V_NEW_DSMSGCONTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Msg Con Tot ' + ISNULL(@V_NEW_DSMSGCONTOT,'' );
          END;
          IF @V_NEW_IDIMPREDZ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Imp Red Z ' + ISNULL(@V_NEW_IDIMPREDZ,'' );
          END;
          IF @V_NEW_CDTECLADO IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Tecl ' + ISNULL(@V_NEW_CDTECLADO,'' );
          END;
          IF @V_NEW_IDAUTOIMPTAB IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Auto Imp Tab ' + ISNULL(@V_NEW_IDAUTOIMPTAB,'' );
          END;
          IF @V_NEW_IDAUTOIMPVEN IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Auto Imp Ven ' + ISNULL(@V_NEW_IDAUTOIMPVEN,'' );
          END;
          IF @V_NEW_CDLOJATEF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Lj Tef ' + ISNULL(@V_NEW_CDLOJATEF,'' );
          END;
          IF @V_NEW_CDTERTEF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Ter Tef ' + ISNULL(@V_NEW_CDTERTEF,'' );
          END;
          IF @V_NEW_IDTRIBRELPRO IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Trib Rel Pro ' + ISNULL(@V_NEW_IDTRIBRELPRO,'' );
          END;
          IF @V_NEW_CDIMPRESSORA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Impressora ' + ISNULL(@V_NEW_CDIMPRESSORA,'' );
          END;
          IF @V_NEW_DSDIRCAIXEXP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Cxa Exp ' + ISNULL(@V_NEW_DSDIRCAIXEXP,'' );
          END;
          IF @V_NEW_DSCAIXATAB IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cxa Tab ' + ISNULL(@V_NEW_DSCAIXATAB,'' );
          END;
          IF @V_NEW_DSCAIXAVEN IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cxa Ven ' + ISNULL(@V_NEW_DSCAIXAVEN,'' );
          END;
          IF @V_NEW_IDBLOQIDCART IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Bloq Id Cart ' + ISNULL(@V_NEW_IDBLOQIDCART,'' );
          END;
          IF @V_NEW_DSOBSCUPFIS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Obs Cup Fis ' + ISNULL(@V_NEW_DSOBSCUPFIS,'' );
          END;
          IF @V_NEW_IDINFVENBAL IS NOT NULL BEGIN 
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Inf Ven Bal ' + ISNULL(@V_NEW_IDINFVENBAL,'' );
          END;
          IF @V_NEW_IDHABCAIXAVENDA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Hab Cx Venda ' + ISNULL(@V_NEW_IDHABCAIXAVENDA,'' );
          END;
          IF @V_NEW_IDIMPBARRCUP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Imp Barr Cup ' + ISNULL(@V_NEW_IDIMPBARRCUP,'' );
          END;
          IF @V_NEW_NMPADBARRCUP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Pad Barr Cup ' + ISNULL(@V_NEW_NMPADBARRCUP,'' );
          END;
          IF @V_NEW_IDPERMCANCVND IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Perm Canc Vnd ' + ISNULL(@V_NEW_IDPERMCANCVND,'' );
          END;
          IF @V_NEW_IDIMPLEITURAX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Imp Leit X ' + ISNULL(@V_NEW_IDIMPLEITURAX,'' );
          END;
          IF @V_NEW_IDTIPOIMPNF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp NF ' + ISNULL(@V_NEW_IDTIPOIMPNF,'' );
          END;
          IF @V_NEW_IDTIPOIMPNF2 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp NF2 ' + ISNULL(@V_NEW_IDTIPOIMPNF2,'' );
          END;
          IF @V_NEW_CDPORTAIMPNF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Nf ' + ISNULL(@V_NEW_CDPORTAIMPNF,'' );
          END;
          IF @V_NEW_CDPORTAIMPNF2 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Nf2 ' + ISNULL(@V_NEW_CDPORTAIMPNF2,'' );
          END;
          IF @V_NEW_IDTPVENDIMPNF1 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Vend ImpNf ' + ISNULL(@V_NEW_IDTPVENDIMPNF1,'' );
          END;
          IF @V_NEW_IDTPVENDIMPNF2 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Vend Imp Nf2 ' + ISNULL(@V_NEW_IDTPVENDIMPNF2,'' );
          END;
          IF @V_NEW_CDIMPRESSORA2 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CD IMP2 ' + ISNULL(@V_NEW_CDIMPRESSORA2,'' );
          END;
          IF @V_NEW_IDSOLNUMDEPFC IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Sol Num Dep ' + ISNULL(@V_NEW_IDSOLNUMDEPFC,'' );
          END;
          IF @V_NEW_IDSOLICITACPF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Sol CPF ' + ISNULL(@V_NEW_IDSOLICITACPF,'' );
          END;
          IF @V_NEW_IDGRAVAMFD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Grava MFD ' + ISNULL(@V_NEW_IDGRAVAMFD,'' );
          END;
          IF @V_NEW_IDBAIXAPERIF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' BaixaPerif ' + ISNULL(@V_NEW_IDBAIXAPERIF,'' );
          END;
          IF @V_NEW_IDINFREDZNCAD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Inf RedZ NCad ' + ISNULL(@V_NEW_IDINFREDZNCAD,'' );
          END;
          IF @V_NEW_IDTIPOMICROTERM  IS NOT NULL  BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Micro Term ' + ISNULL(@V_NEW_IDTIPOMICROTERM ,'' );
          END;
          IF @V_NEW_CDSETOR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Setor ' + ISNULL(@V_NEW_CDSETOR,'' );
          END;
          IF @V_NEW_IDPAISINTEGRA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Pais Sintegra ' + ISNULL(@V_NEW_IDPAISINTEGRA,'' );
          END;
          IF @V_NEW_CDPREFINTGCOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Pref Intg Col ' + ISNULL(@V_NEW_CDPREFINTGCOL,'' );
          END;
          IF @V_NEW_NRCUPINIINTGCOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cup Ini Intg Col ' + ISNULL(@V_NEW_NRCUPINIINTGCOL,'' );
          END;
          IF @V_NEW_NRCUPFININTGCOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cup Fim Intg Col ' + ISNULL(@V_NEW_NRCUPFININTGCOL,'' );
          END;
          IF @V_NEW_DSRESOLINTGCOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' DSRESOLINTGCOL ' + ISNULL(@V_NEW_DSRESOLINTGCOL,'' );
          END;
          IF @V_NEW_IDPERCOMVENCPDC IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERCOMVENCPDC ' + ISNULL(@V_NEW_IDPERCOMVENCPDC,'' );
          END;
          IF @V_NEW_DSMENSCPFCUP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' DSMENSCPFCUP ' + ISNULL(@V_NEW_DSMENSCPFCUP,'' );
          END;
          IF @V_NEW_IDLCDBARBALATOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDLCDBARBALATOL ' + ISNULL(@V_NEW_IDLCDBARBALATOL,'' );
          END;
          IF @V_NEW_NRPOSINICODBARR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINICODBARR ' + ISNULL(@V_NEW_NRPOSINICODBARR,'' );
          END;
          IF @V_NEW_NRPOSFINCODBARR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINCODBARR ' + ISNULL(@V_NEW_NRPOSFINCODBARR,'' );
          END;
          IF @V_NEW_NRPOSINIQTCDBAR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINIQTCDBAR ' + ISNULL(@V_NEW_NRPOSINIQTCDBAR,'' );
          END;
          IF @V_NEW_NRPOSFINQTCDBAR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINQTCDBAR ' + ISNULL(@V_NEW_NRPOSFINQTCDBAR,'' );
          END;
          IF @V_NEW_NRPOSINIVRCDBAR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINIVRCDBAR ' + ISNULL(@V_NEW_NRPOSINIVRCDBAR,'' );
          END;
          IF @V_NEW_NRPOSFINVRCDBAR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINVRCDBAR ' + ISNULL(@V_NEW_NRPOSFINVRCDBAR,'' );
          END;
          IF @V_NEW_IDIMPCOMPDEBCON IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCOMPDEBCON ' + ISNULL(@V_NEW_IDIMPCOMPDEBCON,'' );
          END;
          IF @V_NEW_IDIMPCOMPCREDPE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCOMPCREDPE ' + ISNULL(@V_NEW_IDIMPCOMPCREDPE,'' );
          END;
          IF @V_NEW_IDIMPCOMPCUPVEN IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCOMPCUPVEN ' + ISNULL(@V_NEW_IDIMPCOMPCUPVEN,'' );
          END;
          IF @V_NEW_IDGERAARQVNDRIO IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDGERAARQVNDRIO ' + ISNULL(@V_NEW_IDGERAARQVNDRIO,'' );
          END;
          IF @V_NEW_IDTPCONTRREPIQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDTPCONTRREPIQ ' + ISNULL(@V_NEW_IDTPCONTRREPIQ,'' );
          END;
          IF @V_NEW_IDPERABERCOMCXA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERABERCOMCXA ' + ISNULL(@V_NEW_IDPERABERCOMCXA,'' );
          END;
          IF @V_NEW_NRDIASVENDAMSDE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASVENDAMSDE ' + ISNULL(@V_NEW_NRDIASVENDAMSDE,'' );
          END;
          IF @V_NEW_IDFREQLIMPVENDA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDFREQLIMPVENDA ' + ISNULL(@V_NEW_IDFREQLIMPVENDA,'' );
          END;
          IF @V_NEW_NRDIASBXVNDMSDE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASBXVNDMSDE ' + ISNULL(@V_NEW_NRDIASBXVNDMSDE,'' );
          END;
          SET @V_IDTIPOOPER = '1';
       END;
       IF @V_ID_COMANDO= 'D' /*DELEO*/  BEGIN
              IF @V_OLD_CDFILIAL IS NOT NULL BEGIN 
              SET @V_DESC = ' ' + 'Cd Clie ' + ISNULL(@V_OLD_CDFILIAL,'' );
          END;
          IF @V_OLD_CDFILIAL IS NOT NULL BEGIN 
              SET @V_DESC = 'Filial ' + ISNULL(@V_OLD_CDFILIAL,'' );
          END;
          IF @V_OLD_CDCAIXA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Caixa ' + ISNULL(@V_OLD_CDCAIXA,'' );
          END;
          IF @V_OLD_NMCAIXA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Nm Caixa ' + ISNULL(@V_OLD_NMCAIXA,'' );
          END;
          IF @V_OLD_CDLOJA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Loja ' + ISNULL(@V_OLD_CDLOJA,'' );
          END;
          IF @V_OLD_CDALMOXARIFE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDALMOXARIFE ' + ISNULL(@V_OLD_CDALMOXARIFE,'' );
          END;
          IF @V_OLD_CDLOCALESTOQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDLOCALESTOQ ' + ISNULL(@V_OLD_CDLOCALESTOQ,'' );
          END;
          IF @V_OLD_DSDIRFOTOPR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Ds Foto ' + ISNULL(@V_OLD_DSDIRFOTOPR,'' );
          END;
          IF @V_OLD_IDCONFVENDA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' id Conf Venda ' + ISNULL(@V_OLD_IDCONFVENDA,'' );
          END;
          IF @V_OLD_IDGERANOTA  IS NOT NULL  BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Gera Nota ' + ISNULL(@V_OLD_IDGERANOTA ,'' );
          END;
          IF @V_OLD_IDPORTABAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Bal ' + ISNULL(@V_OLD_IDPORTABAL,'' );
          END;
          IF @V_OLD_IDPORTAIMP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp' + ISNULL(@V_OLD_IDPORTAIMP,'' );
          END;
          IF @V_OLD_IDTPTELAVE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Tela Venda ' + ISNULL(@V_OLD_IDTPTELAVE,'' );
          END;
          IF @V_OLD_IDVEPORTABAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Port Bal ' + ISNULL(@V_OLD_IDVEPORTABAL,'' );
          END;
          IF @V_OLD_TPEXTFOTOPR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Ext Foto ' + ISNULL(@V_OLD_TPEXTFOTOPR,'' );
          END;
          IF @V_OLD_VRABERCAIX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vr Aber' + ISNULL(CONVERT(VARCHAR,@V_OLD_VRABERCAIX),'');
          END;
          IF @V_OLD_VRDIFCAIX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vr Dif Max ' + ISNULL(CONVERT(VARCHAR,@V_OLD_VRDIFCAIX),'');
          END;
          IF @V_OLD_IDENTRSAIDOP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDENTRSAIDOP ' + ISNULL(@V_OLD_IDENTRSAIDOP,'' );
          END;
          IF @V_OLD_CDTIPOOPER IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTIPOOPER ' + ISNULL(@V_OLD_CDTIPOOPER,'' );
          END;
          IF @V_OLD_IDCAMPOPESQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Campo Pesq ' + ISNULL(@V_OLD_IDCAMPOPESQ,'' );
          END;
          IF @V_OLD_IDINFOCONS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Info Cons ' + ISNULL(@V_OLD_IDINFOCONS,'' );
          END;
          IF @V_OLD_IDCOLETOR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Coletor ' + ISNULL(@V_OLD_IDCOLETOR,'' );
          END;
          IF @V_OLD_CDCAIXACONT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCAIXACONT ' + ISNULL(@V_OLD_CDCAIXACONT,'' );
          END;
          IF @V_OLD_DSDIRIMPARQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Imp ' + ISNULL(@V_OLD_DSDIRIMPARQ,'' );
          END;
          IF @V_OLD_DSDIRBACARQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Back ' + ISNULL(@V_OLD_DSDIRBACARQ,'' );
          END;
          IF @V_OLD_DSDIREXPARQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Exp ' + ISNULL(@V_OLD_DSDIREXPARQ,'' );
          END;
          IF @V_OLD_IDUTILTEF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Uti Tef ' + ISNULL(@V_OLD_IDUTILTEF,'' );
          END;
          IF @V_OLD_IDUTILCHEQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Info Cheq ' + ISNULL(@V_OLD_IDUTILCHEQ,'' );
          END;
          IF @V_OLD_IDTIPINFCONS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Tp If  ' + ISNULL(@V_OLD_IDTIPINFCONS,'' );
          END;
          IF @V_OLD_IDPERTROCAOP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Perm Troca Oper ' + ISNULL(@V_OLD_IDPERTROCAOP,'' );
          END;
          IF @V_OLD_IDCAIXAFISCA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Caixa Fis ' + ISNULL(@V_OLD_IDCAIXAFISCA,'' );
          END;
          IF @V_OLD_IDVERIFCOTA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Verif Cota' + ISNULL(@V_OLD_IDVERIFCOTA,'' );
          END;
          IF @V_OLD_IDIMPVENDCON IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Imp Vend ' + ISNULL(@V_OLD_IDIMPVENDCON,'' );
          END;
          IF @V_OLD_VRLIMSANGRIA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Lim Sangria ' + ISNULL(CONVERT(VARCHAR,@V_OLD_VRLIMSANGRIA),'');
          END;
          IF @V_OLD_IDEMIRECSANG IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Emi Rec Sang ' + ISNULL(@V_OLD_IDEMIRECSANG,'' );
          END;
          IF @V_OLD_IDEMIRELPROD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Emi Rel Prod ' + ISNULL(@V_OLD_IDEMIRELPROD,'' );
          END;
          IF @V_OLD_IDTIPOCAIXA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Caixa ' + ISNULL(@V_OLD_IDTIPOCAIXA,'' );
          END;
          IF @V_OLD_CDFILICONFTE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDFILICONFTE ' + ISNULL(@V_OLD_CDFILICONFTE,'' );
          END;
          IF @V_OLD_NRCONFTELA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRCONFTELA ' + ISNULL(@V_OLD_NRCONFTELA,'' );
          END;
          IF @V_OLD_CDGRUPPROD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CDGRUPPROD ' + ISNULL(@V_OLD_CDGRUPPROD,'' );
          END;
          IF @V_OLD_CDPORTABAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Bal ' + ISNULL(@V_OLD_CDPORTABAL,'' );
          END;
          IF @V_OLD_IDTIPOBAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' tp Bal ' + ISNULL(@V_OLD_IDTIPOBAL,'' );
          END;
          IF @V_OLD_NRVELOCBAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Bal ' + ISNULL(@V_OLD_NRVELOCBAL,'' );
          END;
          IF @V_OLD_CDPORTAIMPFI IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Fis ' + ISNULL(@V_OLD_CDPORTAIMPFI,'' );
          END;
          IF @V_OLD_IDTIPOIMPFI IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp Fis ' + ISNULL(@V_OLD_IDTIPOIMPFI,'' );
          END;
          IF @V_OLD_CDPORTACAT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Cat ' + ISNULL(@V_OLD_CDPORTACAT,'' );
          END;
          IF @V_OLD_IDTIPOCAT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Cat ' + ISNULL(@V_OLD_IDTIPOCAT,'' );
          END;
          IF @V_OLD_NRCOLETCAT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Colet Cat ' + ISNULL(@V_OLD_NRCOLETCAT,'' );
          END;
          IF @V_OLD_CDPORTAPROX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Prox ' + ISNULL(@V_OLD_CDPORTAPROX,'' );
          END;
          IF @V_OLD_IDTIPOPROX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Prox ' + ISNULL(@V_OLD_IDTIPOPROX,'' );
          END;
          IF @V_OLD_NRVELOCPROX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Prox ' + ISNULL(@V_OLD_NRVELOCPROX,'' );
          END;
          IF @V_OLD_IDTIPOTECLAD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Tec ' + ISNULL(@V_OLD_IDTIPOTECLAD,'' );
          END;
          IF @V_OLD_IDTIPOGAVETA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Gav ' + ISNULL(@V_OLD_IDTIPOGAVETA,'' );
          END;
          IF @V_OLD_CDPORTADISP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Disp ' + ISNULL(@V_OLD_CDPORTADISP,'' );
          END;
          IF @V_OLD_IDTIPODISP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Disp ' + ISNULL(@V_OLD_IDTIPODISP,'' );
          END;
          IF @V_OLD_CDPORTAOPT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Opt ' + ISNULL(@V_OLD_CDPORTAOPT,'' );
          END;
          IF @V_OLD_IDTIPOOPT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tipo Opt ' + ISNULL(@V_OLD_IDTIPOOPT,'' );
          END;
          IF @V_OLD_NRVELOCOPT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Opt  ' + ISNULL(@V_OLD_NRVELOCOPT,'' );
          END;
          IF @V_OLD_IDTIPOIMPCHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp Chq ' + ISNULL(@V_OLD_IDTIPOIMPCHQ,'' );
          END;
          IF @V_OLD_CDPORTACHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Chq ' + ISNULL(@V_OLD_CDPORTACHQ,'' );
          END;
          IF @V_OLD_NRVELOVCHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Vel Imp Chq ' + ISNULL(@V_OLD_NRVELOVCHQ,'' );
          END;
          IF @V_OLD_NMMUNICIPCHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Nm Municip Chq ' + ISNULL(@V_OLD_NMMUNICIPCHQ,'' );
          END;
          IF @V_OLD_NMNOMINALCHQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Nm Favorecido Chq ' + ISNULL(@V_OLD_NMNOMINALCHQ,'' );
          END;
          IF @V_OLD_NMMOEDACORRS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Moeda Corr S ' + ISNULL(@V_OLD_NMMOEDACORRS,'' );
          END;
          IF @V_OLD_NMMOEDACORRP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Moeda Corr P ' + ISNULL(@V_OLD_NMMOEDACORRP,'' );
          END;
          IF @V_OLD_IDGERADEBUG IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Gera Debug ' + ISNULL(@V_OLD_IDGERADEBUG,'' );
          END;
          IF @V_OLD_IDHRVERAO IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Hr Verao ' + ISNULL(@V_OLD_IDHRVERAO,'' );
          END;
          IF @V_OLD_IDSINCIMPFIS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Sin Imp Fis ' + ISNULL(@V_OLD_IDSINCIMPFIS,'' );
          END;
          IF @V_OLD_DSMSGINITOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Msg Ini Tot ' + ISNULL(@V_OLD_DSMSGINITOT,'' );
          END;
          IF @V_OLD_DSMSGADITOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Msg Adi Tot ' + ISNULL(@V_OLD_DSMSGADITOT,'' );
          END;
          IF @V_OLD_NRDIAINITOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dia Ini Tot ' + ISNULL(@V_OLD_NRDIAINITOT,'' );
          END;
          IF @V_OLD_NRDIAFINTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dia Fim Tot ' + ISNULL(@V_OLD_NRDIAFINTOT,'' );
          END;
          IF @V_OLD_NRSEGFECTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Seg Fec Tot ' + ISNULL(@V_OLD_NRSEGFECTOT,'' );
          END;
          IF @V_OLD_IDEXIMSGSAL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Exi Msg Sal ' + ISNULL(@V_OLD_IDEXIMSGSAL,'' );
          END;
          IF @V_OLD_IDTIPEXTTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Ext Tot ' + ISNULL(@V_OLD_IDTIPEXTTOT,'' );
          END;
          IF @V_OLD_IDSELLOJTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Sel Loj Tot ' + ISNULL(@V_OLD_IDSELLOJTOT,'' );
          END;
          IF @V_OLD_IDINFCLIECAI IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Inf Cli Tot ' + ISNULL(@V_OLD_IDINFCLIECAI,'' );
          END;
          IF @V_OLD_IDUTILEITCON IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Id Pesq Cons ' + ISNULL(@V_OLD_IDUTILEITCON,'' );
          END;
          IF @V_OLD_IDEXIMENDESC IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Exi Msg Desc ' + ISNULL(@V_OLD_IDEXIMENDESC,'' );
          END;
          IF @V_OLD_DTULTATUCAIX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Ult Atu Cx ' + ISNULL(CONVERT(VARCHAR,@V_OLD_DTULTATUCAIX),'');
          END;
          IF @V_OLD_IDDIGCODPLM IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dig Cd Plm ' + ISNULL(@V_OLD_IDDIGCODPLM,'' );
          END;
          IF @V_OLD_IDTPIMPPARC IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp Parc ' + ISNULL(@V_OLD_IDTPIMPPARC,'' );
          END;
          IF @V_OLD_DSENDIPSITEF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' End Ip Tef ' + ISNULL(@V_OLD_DSENDIPSITEF,'' );
          END;
          IF @V_OLD_DSMSGCONTOT IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Msg Con Tot ' + ISNULL(@V_OLD_DSMSGCONTOT,'' );
          END;
          IF @V_OLD_IDIMPREDZ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Imp Red Z ' + ISNULL(@V_OLD_IDIMPREDZ,'' );
          END;
          IF @V_OLD_CDTECLADO IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Tecl ' + ISNULL(@V_OLD_CDTECLADO,'' );
          END;
          IF @V_OLD_IDAUTOIMPTAB IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Auto Imp Tab ' + ISNULL(@V_OLD_IDAUTOIMPTAB,'' );
          END;
          IF @V_OLD_IDAUTOIMPVEN IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Auto Imp Ven ' + ISNULL(@V_OLD_IDAUTOIMPVEN,'' );
          END;
          IF @V_OLD_CDLOJATEF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Lj Tef ' + ISNULL(@V_OLD_CDLOJATEF,'' );
          END;
          IF @V_OLD_CDTERTEF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Ter Tef ' + ISNULL(@V_OLD_CDTERTEF,'' );
          END;
          IF @V_OLD_IDTRIBRELPRO IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Trib Rel Pro ' + ISNULL(@V_OLD_IDTRIBRELPRO,'' );
          END;
          IF @V_OLD_CDIMPRESSORA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cd Impressora ' + ISNULL(@V_OLD_CDIMPRESSORA,'' );
          END;
          IF @V_OLD_DSDIRCAIXEXP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Dir Cxa Exp ' + ISNULL(@V_OLD_DSDIRCAIXEXP,'' );
          END;
          IF @V_OLD_DSCAIXATAB IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cxa Tab ' + ISNULL(@V_OLD_DSCAIXATAB,'' );
          END;
          IF @V_OLD_DSCAIXAVEN IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cxa Ven ' + ISNULL(@V_OLD_DSCAIXAVEN,'' );
          END;
          IF @V_OLD_IDBLOQIDCART IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Bloq Id Cart ' + ISNULL(@V_OLD_IDBLOQIDCART,'' );
          END;
          IF @V_OLD_DSOBSCUPFIS IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Obs Cup Fis ' + ISNULL(@V_OLD_DSOBSCUPFIS,'' );
          END;
          IF @V_OLD_IDINFVENBAL IS NOT NULL BEGIN 
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Inf Ven Bal ' + ISNULL(@V_OLD_IDINFVENBAL,'' );
          END;
          IF @V_OLD_IDHABCAIXAVENDA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Hab Cx Venda ' + ISNULL(@V_OLD_IDHABCAIXAVENDA,'' );
          END;
          IF @V_OLD_IDIMPBARRCUP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Imp Barr Cup ' + ISNULL(@V_OLD_IDIMPBARRCUP,'' );
          END;
          IF @V_OLD_NMPADBARRCUP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Pad Barr Cup ' + ISNULL(@V_OLD_NMPADBARRCUP,'' );
          END;
          IF @V_OLD_IDPERMCANCVND IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Perm Canc Vnd ' + ISNULL(@V_OLD_IDPERMCANCVND,'' );
          END;
          IF @V_OLD_IDIMPLEITURAX IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Imp Leit X ' + ISNULL(@V_OLD_IDIMPLEITURAX,'' );
          END;
          IF @V_OLD_IDTIPOIMPNF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp NF ' + ISNULL(@V_OLD_IDTIPOIMPNF,'' );
          END;
          IF @V_OLD_IDTIPOIMPNF2 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Imp NF2 ' + ISNULL(@V_OLD_IDTIPOIMPNF2,'' );
          END;
          IF @V_OLD_CDPORTAIMPNF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Nf ' + ISNULL(@V_OLD_CDPORTAIMPNF,'' );
          END;
          IF @V_OLD_CDPORTAIMPNF2 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Port Imp Nf2 ' + ISNULL(@V_OLD_CDPORTAIMPNF2,'' );
          END;
          IF @V_OLD_IDTPVENDIMPNF1 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Vend ImpNf ' + ISNULL(@V_OLD_IDTPVENDIMPNF1,'' );
          END;
          IF @V_OLD_IDTPVENDIMPNF2 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Vend Imp Nf2 ' + ISNULL(@V_OLD_IDTPVENDIMPNF2,'' );
          END;
          IF @V_OLD_CDIMPRESSORA2 IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' CD IMP2 ' + ISNULL(@V_OLD_CDIMPRESSORA2,'' );
          END;
          IF @V_OLD_IDSOLNUMDEPFC IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Sol Num Dep ' + ISNULL(@V_OLD_IDSOLNUMDEPFC,'' );
          END;
          IF @V_OLD_IDSOLICITACPF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Sol CPF ' + ISNULL(@V_OLD_IDSOLICITACPF,'' );
          END;
          IF @V_OLD_IDGRAVAMFD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Grava MFD ' + ISNULL(@V_OLD_IDGRAVAMFD,'' );
          END;
          IF @V_OLD_IDBAIXAPERIF IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' BaixaPerif ' + ISNULL(@V_OLD_IDBAIXAPERIF,'' );
          END;
          IF @V_OLD_IDINFREDZNCAD IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Inf RedZ NCad ' + ISNULL(@V_OLD_IDINFREDZNCAD,'' );
          END;
          IF @V_OLD_IDTIPOMICROTERM  IS NOT NULL  BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Tp Micro Term ' + ISNULL(@V_OLD_IDTIPOMICROTERM ,'' );
          END;
          IF @V_OLD_CDSETOR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Setor ' + ISNULL(@V_OLD_CDSETOR,'' );
          END;
          IF @V_OLD_IDPAISINTEGRA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Pais Sintegra ' + ISNULL(@V_OLD_IDPAISINTEGRA,'' );
          END;
          IF @V_OLD_CDPREFINTGCOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Pref Intg Col ' + ISNULL(@V_OLD_CDPREFINTGCOL,'' );
          END;
          IF @V_OLD_NRCUPINIINTGCOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cup Ini Intg Col ' + ISNULL(@V_OLD_NRCUPINIINTGCOL,'' );
          END;
          IF @V_OLD_NRCUPFININTGCOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' Cup Fim Intg Col ' + ISNULL(@V_OLD_NRCUPFININTGCOL,'' );
          END;
          IF @V_OLD_DSRESOLINTGCOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' DSRESOLINTGCOL ' + ISNULL(@V_OLD_DSRESOLINTGCOL,'' );
          END;
          IF @V_OLD_IDPERCOMVENCPDC IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERCOMVENCPDC ' + ISNULL(@V_OLD_IDPERCOMVENCPDC,'' );
          END;
          IF @V_OLD_DSMENSCPFCUP IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' DSMENSCPFCUP ' + ISNULL(@V_OLD_DSMENSCPFCUP,'' );
          END;
          IF @V_OLD_IDLCDBARBALATOL IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDLCDBARBALATOL ' + ISNULL(@V_OLD_IDLCDBARBALATOL,'' );
          END;
          IF @V_OLD_NRPOSINICODBARR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINICODBARR ' + ISNULL(@V_OLD_NRPOSINICODBARR,'' );
          END;
          IF @V_OLD_NRPOSFINCODBARR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINCODBARR ' + ISNULL(@V_OLD_NRPOSFINCODBARR,'' );
          END;
          IF @V_OLD_NRPOSINIQTCDBAR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINIQTCDBAR ' + ISNULL(@V_OLD_NRPOSINIQTCDBAR,'' );
          END;
          IF @V_OLD_NRPOSFINQTCDBAR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINQTCDBAR ' + ISNULL(@V_OLD_NRPOSFINQTCDBAR,'' );
          END;
          IF @V_OLD_NRPOSINIVRCDBAR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINIVRCDBAR ' + ISNULL(@V_OLD_NRPOSINIVRCDBAR,'' );
          END;
          IF @V_OLD_NRPOSFINVRCDBAR IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINVRCDBAR ' + ISNULL(@V_OLD_NRPOSFINVRCDBAR,'' );
          END;
          IF @V_OLD_IDIMPCOMPDEBCON IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCOMPDEBCON ' + ISNULL(@V_OLD_IDIMPCOMPDEBCON,'' );
          END;
          IF @V_OLD_IDIMPCOMPCREDPE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCOMPCREDPE ' + ISNULL(@V_OLD_IDIMPCOMPCREDPE,'' );
          END;
          IF @V_OLD_IDIMPCOMPCUPVEN IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCOMPCUPVEN ' + ISNULL(@V_OLD_IDIMPCOMPCUPVEN,'' );
          END;
          IF @V_OLD_IDGERAARQVNDRIO IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDGERAARQVNDRIO ' + ISNULL(@V_OLD_IDGERAARQVNDRIO,'' );
          END;
          IF @V_OLD_IDTPCONTRREPIQ IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDTPCONTRREPIQ ' + ISNULL(@V_OLD_IDTPCONTRREPIQ,'' );
          END;
          IF @V_OLD_IDPERABERCOMCXA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERABERCOMCXA ' + ISNULL(@V_OLD_IDPERABERCOMCXA,'' );
          END;
          IF @V_OLD_NRDIASVENDAMSDE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASVENDAMSDE ' + ISNULL(@V_OLD_NRDIASVENDAMSDE,'' );
          END;
          IF @V_OLD_IDFREQLIMPVENDA IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' IDFREQLIMPVENDA ' + ISNULL(@V_OLD_IDFREQLIMPVENDA,'' );
          END;
          IF @V_OLD_NRDIASBXVNDMSDE IS NOT NULL BEGIN
              SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASBXVNDMSDE ' + ISNULL(@V_OLD_NRDIASBXVNDMSDE,'' );
          END;
          SET @V_IDTIPOOPER = '3';
       END;
       IF  (@V_IDTIPOOPER <> '') BEGIN
          IF @V_DESC IS NOT NULL BEGIN
             SET @V_ITPESQ =  ISNULL(@V_NEW_CDFILIAL + @V_NEW_CDCAIXA , @V_OLD_CDFILIAL + @V_OLD_CDCAIXA);
             SET @V_DESC = SUBSTRING(@V_DESC, 1, 300);
             INSERT INTO LOGOPERAVND
                    (NMTABELAVND, DTOPERACAOVND, NMRESPOPERVND, IDTIPOOPERVND, DSOPERACAOVND,
                     CDPESQITEMVND, DSRDMUSUOPERVND, DSENDUSUOPERVND, DSNMUSUOPERVND, DSMETUSUOPERVND,
                     CDORESPOPERVND, CDFILLOGOPERVND)
             VALUES ('CAIXA',GETDATE(), ISNULL(@V_NMOPERADOR,' '), @V_IDTIPOOPER, @V_DESC, @V_ITPESQ,
                     @V_DSSERVERRDM, @V_DSREMOTEADDR, @V_DSREMOTEHOST, @V_DSSERVMETHOD, @V_DSREMOTEOPER,
                     ISNULL(@V_NEW_CDFILIAL,@V_OLD_CDFILIAL));
          END;
       END;
       FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
				     @V_NEW_CDFILIAL,@V_NEW_CDCAIXA,@V_NEW_NMCAIXA,@V_NEW_CDLOJA,@V_NEW_CDALMOXARIFE,@V_NEW_CDLOCALESTOQ,@V_NEW_DSDIRFOTOPR,
				     @V_NEW_IDCONFVENDA,@V_NEW_IDGERANOTA,@V_NEW_IDPORTABAL,@V_NEW_IDPORTAIMP,@V_NEW_IDTIPOIMP,@V_NEW_IDTPTELAVE,
				     @V_NEW_IDVEPORTABAL,@V_NEW_TPEXTFOTOPR,@V_NEW_VRABERCAIX,@V_NEW_VRDIFCAIX,@V_NEW_IDENTRSAIDOP,@V_NEW_CDTIPOOPER,
				     @V_NEW_IDCAMPOPESQ,@V_NEW_IDINFOCONS,@V_NEW_IDCOLETOR,@V_NEW_CDCAIXACONT,@V_NEW_DSDIRIMPARQ,@V_NEW_DSDIRBACARQ,
 				     @V_NEW_DSDIREXPARQ,@V_NEW_IDUTILTEF,@V_NEW_IDUTILCHEQ,@V_NEW_IDTIPINFCONS,@V_NEW_IDPERTROCAOP,@V_NEW_IDCAIXAFISCA,
				     @V_NEW_IDVERIFCOTA,@V_NEW_IDIMPVENDCON,@V_NEW_VRLIMSANGRIA,@V_NEW_IDEMIRECSANG,@V_NEW_IDEMIRELPROD,@V_NEW_IDTIPOCAIXA,
				     @V_NEW_CDFILICONFTE,@V_NEW_NRCONFTELA,@V_NEW_CDGRUPPROD,@V_NEW_CDPORTABAL,@V_NEW_IDTIPOBAL,@V_NEW_NRVELOCBAL,
				     @V_NEW_CDPORTAIMPFI,@V_NEW_IDTIPOIMPFI,@V_NEW_CDPORTACAT,@V_NEW_IDTIPOCAT,@V_NEW_NRCOLETCAT,@V_NEW_CDPORTAPROX,
				     @V_NEW_IDTIPOPROX,@V_NEW_NRVELOCPROX,@V_NEW_IDTIPOTECLAD,@V_NEW_IDTIPOGAVETA,@V_NEW_CDPORTADISP,@V_NEW_IDTIPODISP,
				     @V_NEW_CDPORTAOPT,@V_NEW_IDTIPOOPT,@V_NEW_NRVELOCOPT,@V_NEW_IDTIPOIMPCHQ,@V_NEW_CDPORTACHQ,@V_NEW_NRVELOVCHQ,
				     @V_NEW_NMMUNICIPCHQ,@V_NEW_NMNOMINALCHQ,@V_NEW_NMMOEDACORRS,@V_NEW_NMMOEDACORRP,@V_NEW_IDGERADEBUG,@V_NEW_IDHRVERAO,
				     @V_NEW_IDSINCIMPFIS,@V_NEW_DSMSGINITOT,@V_NEW_DSMSGADITOT,@V_NEW_NRDIAINITOT,@V_NEW_NRDIAFINTOT,@V_NEW_NRSEGFECTOT,
				     @V_NEW_IDEXIMSGSAL,@V_NEW_IDTIPEXTTOT,@V_NEW_IDSELLOJTOT,@V_NEW_IDINFCLIECAI,@V_NEW_IDUTILEITCON,@V_NEW_IDEXIMENDESC,
				     @V_NEW_DTULTATUCAIX,@V_NEW_IDDIGCODPLM,@V_NEW_IDTPIMPPARC,@V_NEW_DSENDIPSITEF,@V_NEW_DSMSGCONTOT,
				     @V_NEW_IDIMPREDZ,@V_NEW_CDTECLADO,@V_NEW_IDAUTOIMPTAB,@V_NEW_IDAUTOIMPVEN,@V_NEW_CDLOJATEF,@V_NEW_CDTERTEF,@V_NEW_IDCONSCHEQUE,
				     @V_NEW_IDTRIBRELPRO,@V_NEW_CDIMPRESSORA,@V_NEW_DSDIRCAIXEXP,@V_NEW_DSCAIXATAB,@V_NEW_DSCAIXAVEN,@V_NEW_IDBLOQIDCART,
				     @V_NEW_DSOBSCUPFIS,@V_NEW_IDINFVENBAL,@V_NEW_IDHABCAIXAVENDA,@V_NEW_IDIMPBARRCUP,@V_NEW_NMPADBARRCUP,@V_NEW_IDPERMCANCVND,
				     @V_NEW_IDIMPLEITURAX,@V_NEW_IDTIPOIMPNF,@V_NEW_IDTIPOIMPNF,@V_NEW_CDPORTAIMPNF,@V_NEW_CDPORTAIMPNF,@V_NEW_IDTPVENDIMPNF1,
				     @V_NEW_IDTPVENDIMPNF2,@V_NEW_CDIMPRESSORA,@V_NEW_IDSOLNUMDEPFC,@V_NEW_IDSOLICITACPF,@V_NEW_IDGRAVAMFD,@V_NEW_IDBAIXAPERIF,
				     @V_NEW_IDINFREDZNCAD,@V_NEW_IDTIPOMICROTERM,@V_NEW_CDSETOR,@V_NEW_IDPAISINTEGRA,@V_NEW_CDPREFINTGCOL,@V_NEW_NRCUPINIINTGCOL,
				     @V_NEW_NRCUPFININTGCOL,@V_NEW_DSRESOLINTGCOL,@V_NEW_IDPERCOMVENCPDC,@V_NEW_DSMENSCPFCUP,@V_NEW_IDLCDBARBALATOL,@V_NEW_NRPOSINICODBARR,
				     @V_NEW_NRPOSFINCODBARR,@V_NEW_NRPOSINIQTCDBAR,@V_NEW_NRPOSFINQTCDBAR,@V_NEW_NRPOSINIVRCDBAR,@V_NEW_NRPOSFINVRCDBAR,@V_NEW_IDIMPCOMPDEBCON,
				     @V_NEW_IDIMPCOMPCREDPE,@V_NEW_IDIMPCOMPCUPVEN,@V_NEW_IDGERAARQVNDRIO,@V_NEW_IDTPCONTRREPIQ,@V_NEW_IDPERABERCOMCXA,
				     @V_NEW_NRDIASVENDAMSDE,@V_NEW_IDFREQLIMPVENDA,@V_NEW_NRDIASBXVNDMSDE,

				     @V_OLD_CDFILIAL,@V_OLD_CDCAIXA,@V_OLD_NMCAIXA,@V_OLD_CDLOJA,@V_OLD_CDALMOXARIFE,@V_OLD_CDLOCALESTOQ,@V_OLD_DSDIRFOTOPR,
				     @V_OLD_IDCONFVENDA,@V_OLD_IDGERANOTA,@V_OLD_IDPORTABAL,@V_OLD_IDPORTAIMP,@V_OLD_IDTIPOIMP,@V_OLD_IDTPTELAVE,
				     @V_OLD_IDVEPORTABAL,@V_OLD_TPEXTFOTOPR,@V_OLD_VRABERCAIX,@V_OLD_VRDIFCAIX,@V_OLD_IDENTRSAIDOP,@V_OLD_CDTIPOOPER,
				     @V_OLD_IDCAMPOPESQ,@V_OLD_IDINFOCONS,@V_OLD_IDCOLETOR,@V_OLD_CDCAIXACONT,@V_OLD_DSDIRIMPARQ,@V_OLD_DSDIRBACARQ,
				     @V_OLD_DSDIREXPARQ,@V_OLD_IDUTILTEF,@V_OLD_IDUTILCHEQ,@V_OLD_IDTIPINFCONS,@V_OLD_IDPERTROCAOP,@V_OLD_IDCAIXAFISCA,
				     @V_OLD_IDVERIFCOTA,@V_OLD_IDIMPVENDCON,@V_OLD_VRLIMSANGRIA,@V_OLD_IDEMIRECSANG,@V_OLD_IDEMIRELPROD,@V_OLD_IDTIPOCAIXA,
				     @V_OLD_CDFILICONFTE,@V_OLD_NRCONFTELA,@V_OLD_CDGRUPPROD,@V_OLD_CDPORTABAL,@V_OLD_IDTIPOBAL,@V_OLD_NRVELOCBAL,
				     @V_OLD_CDPORTAIMPFI,@V_OLD_IDTIPOIMPFI,@V_OLD_CDPORTACAT,@V_OLD_IDTIPOCAT,@V_OLD_NRCOLETCAT,@V_OLD_CDPORTAPROX,
				     @V_OLD_IDTIPOPROX,@V_OLD_NRVELOCPROX,@V_OLD_IDTIPOTECLAD,@V_OLD_IDTIPOGAVETA,@V_OLD_CDPORTADISP,@V_OLD_IDTIPODISP,
				     @V_OLD_CDPORTAOPT,@V_OLD_IDTIPOOPT,@V_OLD_NRVELOCOPT,@V_OLD_IDTIPOIMPCHQ,@V_OLD_CDPORTACHQ,@V_OLD_NRVELOVCHQ,
				     @V_OLD_NMMUNICIPCHQ,@V_OLD_NMNOMINALCHQ,@V_OLD_NMMOEDACORRS,@V_OLD_NMMOEDACORRP,@V_OLD_IDGERADEBUG,@V_OLD_IDHRVERAO,
				     @V_OLD_IDSINCIMPFIS,@V_OLD_DSMSGINITOT,@V_OLD_DSMSGADITOT,@V_OLD_NRDIAINITOT,@V_OLD_NRDIAFINTOT,@V_OLD_NRSEGFECTOT,
				     @V_OLD_IDEXIMSGSAL,@V_OLD_IDTIPEXTTOT,@V_OLD_IDSELLOJTOT,@V_OLD_IDINFCLIECAI,@V_OLD_IDUTILEITCON,@V_OLD_IDEXIMENDESC,
				     @V_OLD_DTULTATUCAIX,@V_OLD_IDDIGCODPLM,@V_OLD_IDTPIMPPARC,@V_OLD_DSENDIPSITEF,@V_OLD_DSMSGCONTOT,
				     @V_OLD_IDIMPREDZ,@V_OLD_CDTECLADO,@V_OLD_IDAUTOIMPTAB,@V_OLD_IDAUTOIMPVEN,@V_OLD_CDLOJATEF,@V_OLD_CDTERTEF,@V_OLD_IDCONSCHEQUE,
				     @V_OLD_IDTRIBRELPRO,@V_OLD_CDIMPRESSORA,@V_OLD_DSDIRCAIXEXP,@V_OLD_DSCAIXATAB,@V_OLD_DSCAIXAVEN,@V_OLD_IDBLOQIDCART,
				     @V_OLD_DSOBSCUPFIS,@V_OLD_IDINFVENBAL,@V_OLD_IDHABCAIXAVENDA,@V_OLD_IDIMPBARRCUP,@V_OLD_NMPADBARRCUP,@V_OLD_IDPERMCANCVND,
				     @V_OLD_IDIMPLEITURAX,@V_OLD_IDTIPOIMPNF,@V_OLD_IDTIPOIMPNF,@V_OLD_CDPORTAIMPNF,@V_OLD_CDPORTAIMPNF,@V_OLD_IDTPVENDIMPNF1,
				     @V_OLD_IDTPVENDIMPNF2,@V_OLD_CDIMPRESSORA,@V_OLD_IDSOLNUMDEPFC,@V_OLD_IDSOLICITACPF,@V_OLD_IDGRAVAMFD,@V_OLD_IDBAIXAPERIF,
				     @V_OLD_IDINFREDZNCAD,@V_OLD_IDTIPOMICROTERM,@V_OLD_CDSETOR,@V_OLD_IDPAISINTEGRA,@V_OLD_CDPREFINTGCOL,@V_OLD_NRCUPINIINTGCOL,
				     @V_OLD_NRCUPFININTGCOL,@V_OLD_DSRESOLINTGCOL,@V_OLD_IDPERCOMVENCPDC,@V_OLD_DSMENSCPFCUP,@V_OLD_IDLCDBARBALATOL,@V_OLD_NRPOSINICODBARR,
				     @V_OLD_NRPOSFINCODBARR,@V_OLD_NRPOSINIQTCDBAR,@V_OLD_NRPOSFINQTCDBAR,@V_OLD_NRPOSINIVRCDBAR,@V_OLD_NRPOSFINVRCDBAR,@V_OLD_IDIMPCOMPDEBCON,
				     @V_OLD_IDIMPCOMPCREDPE,@V_OLD_IDIMPCOMPCUPVEN,@V_OLD_IDGERAARQVNDRIO,@V_OLD_IDTPCONTRREPIQ,@V_OLD_IDPERABERCOMCXA,
				     @V_OLD_NRDIASVENDAMSDE,@V_OLD_IDFREQLIMPVENDA,@V_OLD_NRDIASBXVNDMSDE
    SET @V_DESC = '';
    END;
    CLOSE      C_CURSOR;
    DEALLOCATE C_CURSOR;
END;
GO
-- VERSAO --
EXEC ATUVEROBJ 'LOG_VND_CAIXA','5.20.001';
GO 